<%@ Control Language="c#" Codebehind="DynamicContentManager.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.DynamicContentManager" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Dynamic_content/Dynamic_content.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="DCManagementTitle" runat="server" Text="" EnableViewState="true"></asp:Literal></td>
	</tr>
</table>

<asp:UpdatePanel ID="PageUpdatePanel" runat="server"><ContentTemplate>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
			<table>
				<tr>
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="DCTagNameLabel" runat="server" Text="Tag name :" EnableViewState="False"></asp:Literal></td>
					<td width="99%">
						<asp:TextBox ID="TagNameTextBox" runat="server" MaxLength="100"></asp:TextBox></td>
				</tr>
			</table>
			<br>
			<asp:Button ID="AddTagButton" runat="server" Text="Add tag" onclick="AddDCButton_Click"></asp:Button><asp:Button
				ID="UpdateTagButton" runat="server" Text="Update tag" onclick="UpdateDCButton_Click"></asp:Button><asp:Button ID="DeleteTagButton"
					runat="server" Text="Delete tag" onclick="DeleteDCButton_Click"></asp:Button>
			<asp:Button ID="CancelButton" runat="server" OnClick="CancelButton_Click" /><br>
			<br>
			<br>
		</td>
	</tr>
</table>
</ContentTemplate></asp:UpdatePanel>

			<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 

