<%@ Control Language="c#" Codebehind="EditMatrix3DGroups.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.EditMatrix3DGroups" %>
<%@ Register TagPrefix="dictrlc" Namespace="DataIllusion.FeedbackServer.WebAdmin" Assembly="DataIllusion.FeedbackServer.WebAdmin" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<script type="text/javascript">
	function cancelUpdate()
	{
		parent.getFormEditor().selectedElement.onPropertiesCanceledCallBack();
		return false;
	}
</script>

<div id="editsingleanswer_control"></div>

<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>

	<asp:UpdatePanel Id="AnswersUpdatePanel" runat="server">			
	<ContentTemplate>
	<asp:PlaceHolder ID="AnswerOverviewPlaceHolder" runat="server">
	<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td width="99%">
				<asp:DataGrid ID="GroupQuestionsDataGrid" runat="server" CssClass="TableGrid" CellPadding="6" AutoGenerateColumns="False" OnItemDataBound="GroupQuestionsDataGrid_ItemDataBound" OnEditCommand="GroupQuestionsDataGrid_EditCommand" OnItemCommand="GroupQuestionsDataGrid_ItemCommand" OnDeleteCommand="GroupQuestionsDataGrid_DeleteCommand">
					<AlternatingItemStyle CssClass="TableAlternatingListRow" ></AlternatingItemStyle>
					<ItemStyle CssClass="TableListRow"></ItemStyle>
					<HeaderStyle  CssClass="TableGridHeader"></HeaderStyle>
					<Columns>
						<asp:TemplateColumn ItemStyle-Wrap="false" HeaderText="Order">
							<ItemTemplate >
	<asp:imagebutton id="UpImageButton" ImageUrl="../images/questionupbutton.png" CommandName="up" runat="server"></asp:imagebutton>
	&nbsp;<asp:imagebutton id="DownImageButton" ImageUrl="../images/questiondownbutton.png" CommandName="down" runat="server"></asp:imagebutton>
							</ItemTemplate>
						</asp:TemplateColumn>
						<asp:BoundColumn DataField="QuestionText" ItemStyle-Width="99%" HeaderText="Text">
							<ItemStyle Wrap="true"></ItemStyle>
						</asp:BoundColumn>
						<asp:EditCommandColumn ButtonType="LinkButton" UpdateText="Update" CancelText="Cancel" EditText="Edit"></asp:EditCommandColumn>
						<asp:ButtonColumn CommandName="insert" Text=""></asp:ButtonColumn>
						<asp:ButtonColumn Text="" CommandName="Delete"></asp:ButtonColumn>
					</Columns>
				</asp:DataGrid><br>
				<asp:Button ID="AddNewGroupButton" runat="server" Text="" onclick="AddNewButton_Click"></asp:Button>
	            <asp:Button ID="CancelButton" runat="server"></asp:Button>
				
				</td>
		</tr>
	</table>
</asp:PlaceHolder>
	</ContentTemplate></asp:UpdatePanel>


           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="AnswersUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
            