<%@ Control Language="c#" Codebehind="EditRegEx.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.EditRegEx" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<script type="text/javascript">

   
	Sys.WebForms.PageRequestManager.getInstance().add_endRequest(onLoadedHandler);	        

	function onLoadedHandler(sender,args)
	{
		resizeContainer($find('<%=RegExTabs.ClientID%>'));
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;
			
		var panelBody = $get('<%=RegExTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;
	
	    if (scrollHeight < 250)
	    {
		    panelBody.style.height = "250px";
	    }
	    else
	    {
		    panelBody.style.height = scrollHeight + "px";
	    }
    
	}
	

	
</script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Form_content_editor/Regular_Expression_Editor.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="RegExLibraryTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>

<asp:UpdatePanel ID="UpdatePanel1" runat="server" >
<ContentTemplate>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td>
			<table>
				<tr>
					<td>
						<p>
							<asp:Literal ID="RegExToEditLabel" runat="server" Text="Select a regex to edit / view :"
								EnableViewState="False"></asp:Literal><br>
							<asp:DropDownList ID="RegExDropDownList" runat="server" AutoPostBack="True" onselectedindexchanged="RegExDropDownList_SelectedIndexChanged">
							</asp:DropDownList>&nbsp;<b><asp:LinkButton ID="CreateRegExHyperLink" runat="server" onclick="CreateRegExHyperLink_Click">Click here to create a new regex</asp:LinkButton><br>
</p>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table></ContentTemplate></asp:UpdatePanel>

<table>
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td>




<asp:UpdatePanel  ID="TabUpdatePanel" runat="server" >

<ContentTemplate>

<ajaxToolkit:TabContainer runat="server"  ID="RegExTabs"  ActiveTabIndex="0" Height="280px" Width="100%" OnClientActiveTabChanged="resizeContainer">
<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="PropertiesTab"  HeaderText="Properties">
<ContentTemplate>
<asp:UpdatePanel runat="server" id="PageUpdatePanel">
<ContentTemplate>
<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
<asp:PlaceHolder ID="RegExOptionsPlaceHolder" Visible="False" runat="server">
<table class="settingsTable">
		<tr>
			<td>
				<table width="100%">
						<tr>
							<td nowrap class="labelStyle" valign="top">
								
									<asp:Literal ID="RegExNameLabel" runat="server" Text="Name :" EnableViewState="False"></asp:Literal></td>
							<td width="99%">
								<asp:TextBox Columns="40" ID="RegExDescriptionTextbox" runat="server"></asp:TextBox></td>
						</tr>
						<tr>
							<td nowrap class="labelStyle" valign="top">
								
									<asp:Literal ID="RegularExpressionLabel" runat="server" Text="Regular expression :"
										EnableViewState="False"></asp:Literal></td>
							<td>
								<asp:TextBox ID="RegularExpressionTextbox" runat="server" Columns="50" Rows="5" TextMode="MultiLine"></asp:TextBox></td>
						</tr>
						<tr>
							<td nowrap class="labelStyle" valign="top">
								
									<asp:Literal ID="RegExErrorMessageLabel" runat="server" Text="Error message :" EnableViewState="False"></asp:Literal></td>
							<td>
								<asp:TextBox ID="ErrorMessageTextbox" runat="server" Columns="50" Rows="5" TextMode="MultiLine"></asp:TextBox></td>
						</tr>
			</table>
			<br/>
			<asp:Button ID="CreateNewRegExButton" runat="server" Text="Create regex" onclick="CreateNewRegExButton_Click"></asp:Button><asp:Button
				ID="ApplyChangesButton" runat="server" Text="Apply changes" onclick="ApplyChangesButton_Click"></asp:Button><asp:Button
					ID="DeleteRegExButton" runat="server" Text="Delete regex" onclick="DeleteRegExButton_Click"></asp:Button><asp:Button
						ID="MakeBuiltInRegExButton" runat="server" Text="Make built in" onclick="MakeBuiltInRegExButton_Click"></asp:Button>
	</td></tr></table>

</asp:PlaceHolder>
</ContentTemplate></asp:UpdatePanel>


</ContentTemplate></ajaxToolkit:TabPanel>

            <ajaxToolkit:TabPanel runat="server" ID="ValidationTab" HeaderText="Regex Tester" >
                <ContentTemplate>
                <asp:UpdatePanel ID="ValidationUpdatePanel" runat="server" >
                <ContentTemplate>
 <asp:Label ID="TestMessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>               
<table class="settingsTable">
	<tr>
		<td>
			<table width="100%">
					<tr>
						<td valign="top" nowrap class="labelStyle">
								<asp:Literal ID="RegularExpressionTestLabel" runat="server" Text="Regular expression :"
									EnableViewState="False"></asp:Literal></td>
						<td >
							<asp:TextBox ID="TestExpressionTextbox" runat="server" Columns="50" Rows="5" TextMode="MultiLine"></asp:TextBox></td>
					</tr>
				<tr>
					<td nowrap class="labelStyle" valign="top">
						
							<asp:Literal ID="TestExpressionValueLabel" runat="server" Text="Value to test :"
								EnableViewState="False"></asp:Literal></td>
					<td>
						<asp:TextBox ID="TestValueTextBox" runat="server" Columns="50" Rows="5" TextMode="MultiLine"></asp:TextBox>
						<br /><asp:HyperLink ID="RegExLibComHyperLink" CssClass="smallText" runat="server" Target="_blank" NavigateUrl="http://www.regexlib.com">Check http://www.regexlib.com for more regular expressions</asp:HyperLink></b>
						</td>
				</tr>
</table>
<br>
<asp:Button ID="TextRegExButton" runat="server" Text="Test expression" onclick="TextRegExButton_Click"></asp:Button>								
</TD></TR></TABLE> 
</ContentTemplate></asp:UpdatePanel></ContentTemplate></ajaxToolkit:TabPanel></ajaxToolkit:TabContainer>
</ContentTemplate>
</asp:UpdatePanel>
</td></tr></table>
          <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="TabUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 


