<%@ Control Language="c#" CodeBehind="EditSingleColumn.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.EditSingleColumn" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>

<script type="text/javascript">

	function cancelUpdate() {
		parent.getFormEditor().selectedElement.onPropertiesCanceledCallBack();
		return false;
	}

</script>

<asp:UpdatePanel runat="server" ID="PageUpdatePanel">
	<ContentTemplate>
		<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<table>
						<tr id="EditionLanguageRow" runat="server">
							<td nowrap class="labelStyle">
								<asp:Literal ID="EditionLanguageLabel" runat="server" Text="Edition language :"></asp:Literal>
							</td>
							<td>
								<asp:DropDownList ID="LanguagesDropdownlist" runat="server" AutoPostBack="True" OnSelectedIndexChanged="LanguagesDropdownlist_SelectedIndexChanged">
								</asp:DropDownList>
							</td>
						</tr>
						<tr>
							<td nowrap class="labelStyle">
								<asp:Literal ID="ColumnTextLabel" EnableViewState="False" runat="server" Text="Column header text :"></asp:Literal>
							</td>
							<td width="99%">
								<asp:TextBox ID="ColumnTextTextBox" Columns="40" runat="server"></asp:TextBox><img
									id="PipeImage" onclick="" src="../images/pipetags.gif" runat="server">
							</td>
						</tr>
						<tr id="MatrixColumnWidthRow" runat="server">
							<td nowrap class="labelStyle">
								<asp:Literal ID="MatrixColumnWidthLabel" EnableViewState="False" runat="server" Text="Column width :"></asp:Literal>
							</td>
							<td>
								<asp:TextBox ID="MatrixColumnWidthTextbox" Columns="6" runat="server"></asp:TextBox>
							</td>
						</tr>
						<tr>
							<td nowrap class="labelStyle">
								<asp:Literal ID="AnswerTypeLabel" EnableViewState="False" runat="server" Text="Type :"></asp:Literal>
							</td>
							<td width="99%">
								<asp:DropDownList ID="AnswerTypeDropDownList" runat="server" AutoPostBack="True"
									OnSelectedIndexChanged="AnswerTypeDropDownList_SelectedIndexChanged">
								</asp:DropDownList>
							</td>
						</tr>
						<tr>
							<td nowrap class="labelStyle">
								<asp:Literal ID="ColumnMandatoryLabel" runat="server" Text="Mandatory :"></asp:Literal>
							</td>
							<td>
								<asp:CheckBox ID="ColumnMandatoryCheckbox" runat="server"></asp:CheckBox>
							</td>
						</tr>
						<tr id="DefaultValueRow" runat="server" visible="false">
							<td nowrap class="labelStyle">
								<asp:Literal ID="DefaultTextLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
							</td>
							<td>
								<asp:TextBox ID="DefaultValueTextBox" runat="server" Columns="20"></asp:TextBox>
							</td>
						</tr>
						<tr id="RegExRow" runat="server" visible="false">
							<td nowrap class="labelStyle">
								<asp:Literal ID="RegExValidationLabel" runat="server" EnableViewState="False" Text="RegEx validation :"></asp:Literal>
							</td>
							<td>
								<asp:DropDownList ID="RegExDropDownList" runat="server">
								</asp:DropDownList>
							</td>
						</tr>
						<tr>
							<td nowrap class="labelStyle">
								<asp:Literal ID="ColumnReportingAliasLabel" EnableViewState="False" runat="server"
									Text="Reporting alias :"></asp:Literal>
							</td>
							<td>
								<asp:TextBox ID="ColumnReportingAliasTextbox" runat="server"></asp:TextBox>
							</td>
						</tr>
						<tr id="RatingRow" runat="server">
							<td nowrap class="labelStyle">
								<asp:Literal ID="ColumnRatingLabel" runat="server" Text="Rating part :"></asp:Literal>
							</td>
							<td>
								<asp:TextBox Columns="4" ID="ColumnRatingPart" runat="server"></asp:TextBox>
							</td>
						</tr>
						<tr id="ScoreRow" runat="server" visible="False">
							<td nowrap class="labelStyle">
								<asp:Literal ID="ScoreLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
							</td>
							<td>
								<asp:TextBox ID="ScoreTextBox" runat="server" Columns="20"></asp:TextBox>
							</td>
						</tr>
					</table>
					<asp:Button ID="UpdateColumnButton" runat="server" Text="Update" OnClick="UpdateColumnButton_Click">
					</asp:Button>
					<asp:Button ID="DeleteButton" runat="server" Text="Delete" OnClick="DeleteColumnButton_Click">
					</asp:Button>
					<asp:Button ID="CancelButton" runat="server" OnClick="CancelButton_Click"></asp:Button>
					<asp:Button ID="QuickTranslateButton" runat="server" Text="Quick Translate" OnClick="QuickTranslateButton_Click">
					</asp:Button>
				</td>
			</tr>
		</table>
	</ContentTemplate>
</asp:UpdatePanel>
<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
	TargetControlID="PageUpdatePanel">
	<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
	</Animations>
</ajaxToolkit:UpdatePanelAnimationExtender>
