<%@ Import Namespace="DataIllusion.FeedbackServer.WebAdmin" %>
<%@ Control Language="c#" Codebehind="LibraryDirectory.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.LibraryDirectory" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 
	
	
<table class="adminTitle" >
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Question_library/Question_library.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="LibraryTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>
<asp:UpdatePanel ID="PageUpdatePanel" runat="server"><ContentTemplate>
<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td>
			<asp:GridView ID="QuestionLibraryGridView" 
			DataKeyNames="LibraryId"
			OnRowDataBound="LibraryGridView_RowDataBound" runat="server" AllowSorting="True" ShowHeader="false" AutoGenerateColumns="False" CssClass="TableGrid" OnRowDeleting="LibraryGridView_RowDeleting" OnSorting="LibraryGridView_Sorting" CellPadding="6">
                    <Columns>
                        <asp:CommandField ItemStyle-Width="5" ShowDeleteButton="True" />
                        <asp:HyperLinkField ItemStyle-Width="650" DataNavigateUrlFields="LibraryId" DataTextField="LibraryName"
                            SortExpression="LibraryName" />
                    </Columns>
                    <RowStyle CssClass="TableListRow" />
                    <AlternatingRowStyle CssClass="TableAlternatingListRow" />
                    <HeaderStyle CssClass="TableGridHeader" />
                </asp:GridView>
			
			<br>
			<asp:Button ID="AddNewLibraryButton" runat="server" Text="Add new library" onclick="AddNewLibraryButton_Click"></asp:Button>
		</td>
	</tr>
</table>
<asp:PlaceHolder runat="server" ID="editplaceholder" Visible="false">
	<br/>
<table class="adminTitle" >
		<tr>
			<td>
				<a href="help/FeedbackServer.htm#Question_library/Question_library.htm" target="feedbackserverhelp">
					<img src="images/helpicon.gif" border="0"></a></td>
			<td width="99%">
				<asp:Literal ID="AddLibraryTitle" EnableViewState="False" Text="" runat="server"></asp:Literal></td>
		</tr>
	</table>
	<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td>
				<table>
					<tr>
						<td class="labelStyle">
							
								<asp:Literal ID="LibraryNameLabel" EnableViewState="False" runat="server" Text="Library name :"></asp:Literal></td>
						<td width="99%">
							<asp:TextBox ID="LibraryNameTextBox" Columns="40" runat="server"></asp:TextBox></td>
					</tr>
				</table>
				<asp:Button ID="AddLibraryButton" runat="server" Text="Add library" onclick="AddLibraryButton_Click"></asp:Button><asp:Button
					ID="UpdateLibraryButton" runat="server" Text="Update library" onclick="UpdateLibraryButton_Click"></asp:Button><asp:Button
						ID="DeleteLibraryButton" runat="server" Text="Delete library" onclick="DeleteLibraryButton_Click"></asp:Button></td>
		</tr>
	</table>
	<p>
	</p>
</asp:PlaceHolder>
</ContentTemplate></asp:UpdatePanel>
<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
	<Animations>
		<OnUpdating>
			<Parallel duration="0">
            <ScriptAction Script="indicateStartProcess();" />  
            </Parallel>
            </OnUpdating>
            <OnUpdated>
				<Parallel duration="0">
					<ScriptAction Script="indicateEndProcess();" /> 
				</Parallel> 
			</OnUpdated>
	</Animations>
</ajaxToolkit:UpdatePanelAnimationExtender> 