<%@ Control Language="c#" Codebehind="PageEditor.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.PageEditor" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" 
	Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<!-- FS CSS -->	
<link rel="stylesheet" type="text/css" href="css/fsadmin.css"/> 
<link rel="stylesheet" type="text/css" href="scripts/Forms/FormEditor.css" />

<!-- YUI CSS -->	
<link rel="stylesheet" type="text/css" href="scripts/build/colorpicker/assets/skins/sam/colorpicker.css" />
<link rel="stylesheet" type="text/css" href="scripts/build/menu/assets/menu.css"/> 
<link type="text/css" rel="stylesheet" href="scripts/build/container/assets/container.css"/>


<!-- FS Form Builder -->
<script type="text/javascript" src="scripts/fslang.aspx" ></script>
<script type="text/javascript" src="scripts/Forms/FSEditor.js"></script>
<script type="text/javascript" src="scripts/Forms/PageEditor.js"></script>
<script type="text/javascript" src="scripts/Forms/FormElement.js"></script>
<script type="text/javascript" src="scripts/Forms/HtmlZoneElement.js"></script>
<script type="text/javascript" src="scripts/Forms/ImageFormElement.js"></script>
<script type="text/javascript" src="scripts/Forms/QuestionItemFormElement.js"></script>
<script type="text/javascript" src="scripts/Forms/AnswerItemFormElement.js"></script>
<script type="text/javascript" src="scripts/Forms/TableFormElement.js"></script>
<script type="text/javascript" src="scripts/Forms/BehaviorFormElement.js"></script>


<!-- FS Table Builder -->
<script type="text/javascript" src="scripts/Table/Table.js"></script>
<script type="text/javascript" src="scripts/Forms/FormCore.js"></script>


<script type="text/javascript">
	
var pageEditor = true,
	formEditor,
	questionId = -1,
	surveyId = <%=SurveyId%>,
	pageNumber = <%=Request["pagenumber"] != null && Request["pagenumber"].Length > 0 ? Request["pagenumber"] : "-1"%>;

	function loadTreeMenu(menuType, refreshId, forceRefresh, surveyId, menuRefreshType)
	{
		if (parent.document.getElementById('fsMenu') != null)
		{
			parent.loadTreeMenu(menuType, refreshId, forceRefresh, surveyId, menuRefreshType);
		}
	}
	
	function addQuestionToPage(questionQId)
	{
		//var frameCoord = parent.getFrameCoord('fsadmin');
		var containerCoord = YAHOO.util.DivDragDropMgr.getElementCoord(this.formEditor.container, 'fsadmin');

		formEditor.HFHKLPOU("QuestionItem" , 
			questionQId, 'formPanel', false, formEditor.contextMenuPosition[0] + containerCoord[0], 
				formEditor.contextMenuPosition[1] + containerCoord[1]);
	}

	var statusDialog;
	
	YAHOO.util.Event.onDOMReady(function()
	{
		<%if (Request["pagenumber"] == null || Request["pagenumber"].Length == 0) Response.Write("parent.loadTreeMenu(2, 1, true, "+SurveyId+", -1);");%>

		parent.loadSubMenu(1);

		if (!formEditor)
		{
			formEditor = new YAHOO.DataIllusion.FeedbackServer.PageEditor("formPanel", 
				document.getElementById("formPanel"),
				surveyId, pageNumber);

			formEditor.FOWQDRGJ = onElementSelectionChanged;
			formEditor.subscribeToUndoRedo(setUndoIcons);
			formEditor.fspublic_restoreStateFromServer();
			formEditor.UFDVLPRY();
			formEditor.KFNKLPUC = parent.JUBFELFZ();

			SwitchEditorUndoState(false);
			formEditor.enableGrid(16);
		}

		statusDialog = new YAHOO.widget.Dialog("dlg", { modal:true, close : false, visible:false, width:"750px", height:"600px", fixedcenter:true, constraintoviewport:true, draggable:false, zindex:110});
		statusDialog.setHeader("Form template code view");
		statusDialog.render();

		window.onresize = resizeFormEditorDoc;
	});
	
	function changeTreeIcon(identifier, iconClass)
	{
		parent.changeTreeIcon(identifier, iconClass);
	}
		
</script>

<style type="text/css"> body { background-image : url('images/resources/formeditor/gridbackground.gif'); } </style>

<div id="divEditorCore" class="feedbackserver">
	<table  align="center" cellspacing="0" cellpadding="0"
		border="0" style="height: 100%; width: 100%">
		<tr>
			<td valign="top">
				<table cellspacing="0" border="0" cellpadding="0" style="background:white;height: 100%; width: 100%">
					<tr>
						<td style="height:100px;" valign="top">
						<table cellpadding="0" cellspacing="0" width="100%"><tr><td>
						
							<table cellpadding="0" cellspacing="0" border="0" width="100%" >
								<tr class="surveyMenuCell">
									<td>
										<input type="image" id="loadicon" src="images/resources/formeditor/reload.gif"
											onclick="LoadHtmlTemplate();return false;" alt="load" border="0" />
									</td>
									<td>
										<input type="image" id="formsave" src="images/resources/formeditor/save.gif" border="0" 
										alt="Save form" onclick="StoreHtmlTemplate();return false;" />
									</td>
									<td>
										<input type="image" id="backgroundpicker" src="images/resources/formeditor/backgroundcolor_disabled.gif"
											onclick="showColorSelectionDialog();return false;" alt="Set background color" border="0" />
									</td>
									<td>
										<input type="image" id="hideborders" src="images/resources/formeditor/hideborder.gif" border="0"
											onclick="hideTableBorders();return false;" alt="Hide editor borders" />
									</td>
									<td>
										<input type="image" id="undostateicon" src="images/resources/formeditor/enableundoicondisabled.gif"
											onclick="SwitchEditorUndoState(true);return false;" alt="enable disable undo" border="0" />
									</td>
									<td>
										<input type="image" id="undoicon" src="images/resources/formeditor/undo.gif"
											onclick="formEditor.undo();return false;" alt="undo" border="0" />
									</td>
									<td>
										<input type="image" id="redoicon" src="images/resources/formeditor/redo.gif"
											onclick="formEditor.redo();return false;" alt="redo" border="0" />
									</td>
									<!--<td>
										<img id="Image1" src="images/resources/formeditor/eyeicon.gif"
											onclick="showTemplate();return false;" alt="view template" border="0" />
									</td>-->
									<td>
										<input type="image" id="reseticon" src="images/resources/formeditor/reset.gif"
											onclick="ResetForm();return false;" alt="redo" border="0" />
									</td>
									<td>
									<select style="font-size:xx-small" onchange="formEditor.enableGrid(this.options[this.selectedIndex].value)">
										<option value="0">no grid</option>
										<option selected="selected" value="16">16x16</option>
										<option value="32">32x32</option>
										<option  value="48">48x48</option>
										<option   value="64">64x64</option>
										</select>
									</td>
									<td>
									<asp:DropDownList ID="PageTemplateDropdownList" Font-Size="XX-Small" runat="server"></asp:DropDownList>
									</td>
									<td width="99%">
									<asp:DropDownList ID="StyleDropDownList" Font-Size="XX-Small" runat="server"></asp:DropDownList>
									</td>
								</tr>
							</table>
						</td></tr>
						<tr>
							<td >
								<table class="pageitem" cellpadding="0" cellspacing="0" width="100%" >
									<tr>
										<td>
											<div id="formPanel" style="-moz-user-select:none;" onselectstart="return false;" />
										</td>
									</tr>
								</table>
							</td>
						</tr>
						</table>
						</td>
					</tr>
				</table>
				</td></tr>
	</table>
</div>
<div id="undostate"/>



