<%@ Control Language="c#" Codebehind="PanelViewsList.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.PanelViewsList" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 


<asp:UpdatePanel ID="PageUpdatePanel" runat="server"><ContentTemplate>

<table class="adminTitle">
		<tr>
			<td>
				<a href="help/FeedbackServer.htm#Panels/Panel_views.htm" target="feedbackserverhelp">
					<img src="images/helpicon.gif" border="0"></a></td>
			<td width="99%">
				<asp:Literal ID="PanelViewsTitle" EnableViewState="true" Text="" runat="server"></asp:Literal></td>
		</tr>
	</table>
<table class="settingsTable">
		<tbody>
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%"><br />
				<asp:Label ID="NoPanelViewsAvailable" runat="server"></asp:Label>
				
				  <asp:GridView ID="PanelViewGridView" OnRowCommand="PanelViewGridView_RowCommand" DataKeyNames="PanelViewId"
				   runat="server" AllowSorting="True" ShowHeader=false AutoGenerateColumns="False" OnRowDataBound="GridView_RowDataBound"
                    CssClass="TableGrid" CellPadding="6">
                    <Columns>
                        <asp:HyperLinkField DataNavigateUrlFields="PanelViewId" Text="Edit" />
		                <asp:ButtonField Text="" CommandName="DeletePanelView"  />
                        <asp:HyperLinkField ItemStyle-Width="100%" DataNavigateUrlFields="PanelViewId" DataTextField="ViewName" />
                    </Columns>
                    <RowStyle CssClass="TableListRow" />
                    <AlternatingRowStyle CssClass="TableAlternatingListRow" />
                    <HeaderStyle CssClass="TableGridHeader" />
                </asp:GridView>
                
<br /><br />
				</td>
			</tr>
		</tbody>
	</table>
</ContentTemplate>
</asp:UpdatePanel>

			<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" 
           TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
