<%@ Page language="c#" Codebehind="MediaGalleryMenu.aspx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.MediaGalleryMenu" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
  <head>    
		<title>Data Illusion's FeedbackServer</title>

<!--begin YUI Utilities -->
<script type="text/javascript" src="scripts/build/yho/yho-min.js"></script>
<script type="text/javascript" src="scripts/build/event/event-min.js"></script>
<script type="text/javascript" src="scripts/build/connection/connection-min.js"></script>
<script type="text/javascript" src="scripts/build/treeview/treeview-min.js"></script>
<script type="text/javascript" src="scripts/build/dom/dom-min.js"></script>

<script>
	
YAHOO.util.DivDragDropMgr = parent.getManager();

</script>

<script type="text/javascript" src="scripts/fslang.aspx" ></script>
<script type="text/javascript" src="scripts/build/dragdrop/dragdrop.js" ></script>
<script type="text/javascript" src="scripts/build/treeview/FSTreeview.js"></script>
<script type="text/javascript" src="scripts/build/treeview/FSNode.js"></script>
<script type="text/javascript" src="scripts/build/dragdrop/FSDivDD.js" ></script>
<script type="text/javascript" src="scripts/build/treeview/FSTreeLoader.js"></script>
<script type="text/javascript" src="scripts/build/treeview/TaskNode.js"></script>

<script type="text/javascript" src="scripts/FSCommon.js"></script>

<link href="css/fsadmin.css" type="text/css" rel="stylesheet" />
<script type="text/javascript">

YAHOO.util.DivDragDropMgr.unregAllFrame('fsMenu');
YAHOO.util.DivDragDropMgr.addDefaultListenersToDocument(document);

var treeLoader;
var menuType = 9;
var bootOpen = false;
	
    function loadTree()
    {
        treeLoader = new YAHOO.widget.TreeViewLoader("FSTreeContainer", 
			DataIllusion.FeedbackServer.Data.TreeTypes.Medias, 
			onPostHandler, 
			true, 
			null, 
			doOnBeforeDrop, 
			loadMediaFolder, 
			-1, 
			false, 
			null, 
			'fsMenu', 
			true, 
			null, 
			null, 
			'fsfolders', 
			true);
    }

	function doOnBeforeDrop(sourceNode, targetNode)
	{	    
		YAHOO.util.Dom.get(targetNode.tree.id + 'node_' + targetNode.index).className = "containerTableStyle";
		
	    var id = sourceNode.identifier,
	        parentId = targetNode.identifier;

        var dragReturn = 
        {
            allowDrag: false,
            moveItemInDynamicChild:true
        };

		if (id == null || parentId == null || id == 'folder_0')
		{
		    return dragReturn;
		}
			
		var idType = id.split("_")[0],
		    idDBId = id.split("_")[1],
			parentType = parentId.split("_")[0],
			parentDBId = parentId.split("_")[1];

        // Check if the folder is being drag in a sub-folder
        // of it
        if (idType == "folder" && parentType == "folder" && 
            targetNode.tree.isChildOfParent(targetNode, sourceNode))
        {
            return dragReturn;
        }

        if (idType == "addnewmedia" || idType == "addnewfolder" ||
		    parentType == "addnewmedia" || parentType == "addnewfolder")
		{
		    return dragReturn;
		}
		
		if ((idType == "media" && parentType == "media"))
		{
		    alert(FeedbackServerLang.MediaCanOnlyBeDroppedOnFolders);
			return dragReturn;
		}
		else if ((idType == "folder" && parentType != "folder"))
		{
		    alert(FeedbackServerLang.FolderCanOnlyBeDropedOnFolders);
			return false;
		}

		// Check if we're moving a node inside to same parent
		else if (idType == "folder" || idType == "survey")
		{
		    if (parentType == "folder" && sourceNode.parent == targetNode)
			{ 
			    return dragReturn;
			}
		}
		
		DataIllusion.FeedbackServer.Services.Web.Admin.TreesService.MoveMediaTreeItem(parseInt(idDBId), idType, parseInt(parentDBId), parentType, 
			null, handleFailure, null)

		dragReturn.allowDrag = true;
		return dragReturn;
	}
	
	function handleFailure(exception)
	{
		var stackTrace = exception.get_stackTrace();
		var message = exception.get_message();
		var statusCode = exception.get_statusCode();
		var exceptionType = exception.get_exceptionType();
		var timedout = exception.get_timedOut();
   
		var error = 
			"Stack Trace: " +  stackTrace + "\r\n\r\n" +
			"Service Error: " + message + "\r\n\r\n" +
			"Status Code: " + statusCode + "\r\n\r\n" +
			"Exception Type: " + exceptionType + "\r\n\r\n" +
			"Timedout: " + timedout;

		alert(error);
	}

    function onPostHandler()
    {
        if (!bootOpen)
        {
            var rootNode = treeLoader.tree.getNodeByIndex(treeLoader.tree.getNodeByIdentifier(treeLoader.tree.getRoot(), 'folder_0'));
            if (rootNode && !rootNode.expanded)
            {
                bootOpen = true;
                rootNode.expand();
            }
        }
    }

	function loadMediaFolder(node)
	{
		var nodeId = node.identifier,
		    idType = nodeId.split("_")[0],
			idDBId = nodeId.split("_")[1];
	
		if (idType == "media")
		{
			parent.OpenModal('fsadmin.aspx?fscontrol=editmediaitem&mediaitemid=' + idDBId);
		}
		else if (idType == "folder")
		{
			parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=mediamanager&folderid=' + idDBId;
		}
		else if (idType == "addnewfolder")
		{
			parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=mediamanager&parentfolderid=' + idDBId;
		}
	}

 
    function reloadTree(id)
	{	
		// Removes any selected node
		YAHOO.util.DivDragDropMgr.tree.selectedNode = null;

	    var node;
        var index = YAHOO.util.DivDragDropMgr.tree.getNodeByIdentifier(YAHOO.util.DivDragDropMgr.tree.getRoot(), id);
        
        if (index != null)
        {
            node = YAHOO.util.DivDragDropMgr.tree.getNodeByIndex(index);
        }

        if (node != null)
        {
          YAHOO.util.DivDragDropMgr.tree.removeChildren(node);
          node.expand();              
        }
	}
	
	function changeTreeIcon(identifier, iconClass)
	{
		YAHOO.util.DivDragDropMgr.tree.changeNodeIcon(identifier, iconClass);		
	}

</script>
</head>
<body background="images/editordarkbackground.gif" onload="loadTree()" leftmargin="0"
	topmargin="0" marginwidth="0" marginheight="0" dir="<%=HttpContext.Current.Items["FS_LanguagDirection"] != null ? HttpContext.Current.Items["FS_LanguagDirection"] : "ltr"%>">
	<form id="Form1" method="post" runat="server">
	<ajaxToolkit:ToolkitScriptManager runat="Server" EnablePageMethods="true" EnablePartialRendering="true"
		EnableScriptGlobalization="true" EnableScriptLocalization="true" ID="ControlScriptManager"
		AsyncPostBackTimeout="360000" ScriptMode="Release" CombineScripts="false">
	</ajaxToolkit:ToolkitScriptManager>
	<table cellspacing="0" cellpadding="0" class="formNavigator">
		<tr>
			<td colspan="5">
				<div id="FSTreeContainer" style="width: 270px; overflow: auto; height: 555px<%=HttpContext.Current.Items["FS_LanguagDirection"] != null && HttpContext.Current.Items["FS_LanguagDirection"] == ";direction: rtl; unicode-bidi: bidi-override;" ? "" : ""%>"
					onselectstart="return false">
				</div>
			</td>
		</tr>
	</table>
	</form>

	<script type="text/javascript">
function resizeIframe() {
	var id = "FSTreeContainer";
	var iFrame = document.getElementById(id);
	
    	var height=window.innerHeight;		//Firefox
		if (document.body.clientHeight)
		{
			height=document.body.clientHeight;//IE
		}

		if (iFrame && height > 0 && (height - iFrame.offsetTop-26) > 0)
		{
			iFrame.style.height= (height - iFrame.offsetTop-26) + "px";
	    }
};
resizeIframe();
window.onresize = resizeIframe;

registerTreeUnload();

 
</script>
	</body>
</html>
