<%@ Control Language="c#" CodeBehind="QuestionMatrix3DWizard.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.QuestionMatrix3DWizard" %>
<%@ Register Src="../RichTextBoxWrapper/RichTextBox.ascx" TagName="RichTextBox" TagPrefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>
<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
	<ContentTemplate>
		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td>
					<table>
						<tr>
							<td valign="top" nowrap>
								<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
								<uc1:RichTextBox ID="QuestionTextBox" runat="server" Height="200" ToolbarStyleConfiguration="Office2000">
								</uc1:RichTextBox>
								<br />
							</td>
						</tr>
					</table>
			</tr>
		</table>
		<table class="adminTitle">
			<tr>
				<td>
					&nbsp;
				</td>
				<td width="99%">
					<asp:Literal ID="Matrix3DRowsWizardTitle" runat="server" Text="" EnableViewState="False"></asp:Literal>
				</td>
			</tr>
		</table>
		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td>
					<asp:TextBox ID="MatrixRowsTextBox" Columns="80" TextMode="MultiLine" Rows="4" runat="server"></asp:TextBox>
				</td>
			</tr>
		</table><br />
		<asp:PlaceHolder ID="MatrixGroupsPlaceHolder" runat="server"></asp:PlaceHolder>
		<table class="settingsTable">
			<tr>
				<td colspan="2" align="right">
					<asp:Button ID="AddGroupButton" runat="server" OnClick="AddGroup_Click" />
					<asp:Button ID="DeleteGroupButton" runat="server" OnClick="DeleteGroup_Click" />
				</td>
			</tr>
		</table>
		<table>
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td nowrap>
					<asp:Button ID="AddQuestionButton" ValidationGroup="MultiCheckBoxValidation" runat="server" Text="Add new question" OnClick="AddQuestionButton_Click">
					</asp:Button>
				</td>
			</tr>
		</table>
	</ContentTemplate>
</asp:UpdatePanel>
<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
	TargetControlID="PageUpdatePanel">
	<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
	</Animations>
</ajaxToolkit:UpdatePanelAnimationExtender>
