<%@ Control Language="c#" Codebehind="CampaignDetails.ascx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.CampaignDetails" %>
<%@ Register Src="../UserControls/DynamicGridView.ascx" TagName="DynamicGridView" TagPrefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<script type="text/javascript">

	function loadTab(sender, args)
	{
		<%=Request["tabindex"] != null ? "var tabBehavior = $get('"+CampaignTabs.ClientID+"').control;tabBehavior.set_activeTabIndex("+Request["tabindex"]+");" : ""%>
		initTab(sender, args);
	}
	
	function initTab(sender, args)
	{
		resizeContainer(sender, null);
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;

		var panelBody = $get('<%=CampaignTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;

		if (scrollHeight < 250)
		{
			panelBody.style.height = "250px";
		}
		else
		{
			panelBody.style.height = scrollHeight + "px";
		}
	}

</script>

<table class="adminTitle" >
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Campaigns/Campaigns.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="CampaignTitle" runat="server" EnableViewState="False"></asp:Literal>
	</tr>
</table>

<table width="95%">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td valign="top">
			<ajaxToolkit:TabContainer runat="server" ID="CampaignTabs" ActiveTabIndex="0" Height="280px"
				Width="100%" OnClientTabLoaded="loadTab" OnClientActiveTabChanged="initTab">
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="AnsweredTabPanel" HeaderText="Answered">
					<ContentTemplate>
						<table>
							<tr>
								<td style="font-size: 0.7em">
									<uc1:DynamicGridView ID="AnsweredDynamicGridView" runat="server" />
									<input type="button" id="DeleteAnsweredEntries" value="<%=GetPageResource("DeleteRequestButton")%>" onClick="deleteCompletedEntries()"/>
									<input type="button" id="DeleteAllAnsweredEntries" value="<%=GetPageResource("DeleteRequestButton")%>"
										onclick="deleteAllCompletedEntries()" />
									<asp:Button ID="DeleteCampaign4" runat="server" OnClick="DeleteCampaign_Click" />
								</td>
							</tr>
						</table>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="PendingTabPanel" HeaderText="Pending">
					<ContentTemplate>
						<table>
							<tr>
								<td style="font-size: 0.7em">
									<uc1:DynamicGridView ID="PendingDynamicGridView" runat="server" />
									<input type="button" id="DeletePendingEntries" value="<%=GetPageResource("DeleteRequestButton")%>" onClick="deletePendingEntries()"/>
									<input type="button" id="DeleteAllEntries" value="<%=GetPageResource("DeleteAllRequestsButton")%>" onClick="deleteAllPendingEntries()"/>
									<asp:Button ID="SendSelectedReminderButton" OnClick="SendSelectedReminderButton_Click" runat="server" Text=""></asp:Button>
									<asp:Button ID="SendReminderButton" OnClick="SendReminderButton_Click" runat="server" Text="Send a reminder"></asp:Button>
									<asp:Button ID="DeleteCampaign5" runat="server" OnClick="DeleteCampaign_Click" />
								</td>
							</tr>
						</table>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				</ajaxToolkit:TabContainer>
		</td>
	</tr>
</table>

<script type="text/javascript">

	function deletePendingEntries_callback(res) 
	{
		ReloadGrid<%=PendingDynamicGridView.ClientID%>()
	}

	function deleteCompletedEntries_callback(res) 
	{
		ReloadGrid<%=AnsweredDynamicGridView.ClientID%>()
	}

	function deletePendingEntries()
	{
		if(confirm('<%=GetPageResource("DeleteCampaignPendingEntriesConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.CampaignsService.DeletePendingInvitationSelections(<%=_campaignId%>, 
				GetSelectedIds<%=PendingDynamicGridView.ClientID%>(), deletePendingEntries_callback);
	}

	function deleteAllPendingEntries()
	{
		if(confirm('<%=GetPageResource("DeleteAllCampaignPendingEntriesConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.CampaignsService.DeleteAllPendingCampaignRecipients(<%=_campaignId%>, 
				deletePendingEntries_callback);
	}

	function deleteCompletedEntries()
	{
		if(confirm('<%=GetPageResource("DeleteRespondentAnswersConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.CampaignsService.DeleteCompletedSelections(<%=_campaignId%>, 
				GetSelectedIds<%=AnsweredDynamicGridView.ClientID%>(), deleteCompletedEntries_callback);
	}	

	function deleteAllCompletedEntries()
	{
		if(confirm('<%=GetPageResource("DeleteRespondentAnswersConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.CampaignsService.DeleteAllCompletedRespondents(<%=_campaignId%>, 
				deleteCompletedEntries_callback);
	}	

	if (Sys && Sys.WebForms && Sys.WebForms.PageRequestManager)
	{
		var prm = Sys.WebForms.PageRequestManager.getInstance();
		if (!prm.get_isInAsyncPostBack()) 
		{
			prm.add_endRequest(endDialogRequest);
			prm.add_beginRequest(BeginRequestHandler);
		}
	}

    function BeginRequestHandler(sender, args)
	{
		indicateStartProcess();
	}

	function endDialogRequest(sender, e)
	{
		indicateEndProcess();
	}	

</script>