<%@ Control Language="c#" CodeBehind="DataGenerator.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.DataGenerator" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>
<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
	<ContentTemplate>
		<table class="adminTitle">
			<tr>
				<td>
					<a href="help/FeedbackServer.htm#Reports/Data_generator.htm" target="feedbackserverhelp">
						<img src="images/helpicon.gif" border="0"></a>
				</td>
				<td width="99%">
					<asp:Literal ID="DataGeneratorTitle" EnableViewState="False" Text="" runat="server"></asp:Literal>
				</td>
			</tr>
		</table>
		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
					<table>
						<tr>
							<td class="labelStyle" nowrap>
								<asp:Literal ID="RespondentNumberLabel" EnableViewState="False" runat="server" Text="Number of respondents"></asp:Literal>
							</td>
							<td>
								<asp:TextBox ID="RespondentNumberTextBox" runat="server" Text="1000" Columns="8"></asp:TextBox>
							</td>
						</tr>
						<tr>
							<td class="labelStyle" nowrap>
								<asp:Literal ID="ResponseFromDateLabel" EnableViewState="False" runat="server" Text=""></asp:Literal>
							</td>
							<td>
								<asp:TextBox ID="StartDateTextBox" runat="server" Columns="8"></asp:TextBox><asp:ImageButton
									ID="ShowStartDateImageButton" ImageUrl="../images/calendaricon.gif" runat="server">
								</asp:ImageButton>
								<ajaxToolkit:CalendarExtender ID="CalendarExtender2" runat="server" PopupButtonID="ShowStartDateImageButton"
									TargetControlID="StartDateTextBox" />
							</td>
						</tr>
						<tr>
							<td class="labelStyle" nowrap>
								<asp:Literal ID="ResponseToDateLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
							</td>
							<td>
								<asp:TextBox ID="EndDateTextBox" runat="server" Columns="8"></asp:TextBox><asp:ImageButton
									ID="ShowEndDateImageButton" ImageUrl="../images/calendaricon.gif" runat="server">
								</asp:ImageButton>
								<ajaxToolkit:CalendarExtender ID="CalendarExtender1" runat="server" PopupButtonID="ShowEndDateImageButton"
									TargetControlID="EndDateTextBox" />
							</td>
						</tr>
						<tr id="EditionLanguageRow" runat="server">
							<td nowrap class="labelStyle" valign="top">
								<asp:Literal ID="RespondentLanguageLabel" runat="server" Text="Respondent languages:"></asp:Literal>
							</td>
							<td width="99%">
								<asp:ListBox ID="RespondentLanguagesListBox" Rows="5" SelectionMode="Multiple" runat="server"></asp:ListBox>
							</td>
						</tr>
						<tr>
							<td nowrap class="labelStyle">
								<asp:Literal ID="ResponsesTypeLabel" runat="server" Text=""></asp:Literal>
							</td>
							<td width="99%">
								<asp:CheckBoxList ID="ResponseTypeCheckboxList" RepeatDirection="Horizontal" runat="server"></asp:CheckBoxList>
							</td>
						</tr>
						
		</table></td></tr></table>	
		<table>
							<tr>
								<td>
									&nbsp;&nbsp;
								</td>
								<td width="99%">
									<asp:Button ID="GenerateTestDataButton"   runat="server" Text="" OnClick="GenerateTestDataButton_Click"></asp:Button>
									<asp:Button ID="DeleteGeneratedTestDataButton"   runat="server" Text="" OnClick="DeleteGeneratedTestDataButton_Click"></asp:Button>
								</td>
							</tr>
						</table>
		
	</ContentTemplate>
</asp:UpdatePanel>
<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
	TargetControlID="PageUpdatePanel">
	<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
	</Animations>
</ajaxToolkit:UpdatePanelAnimationExtender>
