<%@ Control Language="c#" CodeBehind="EditDataAttributes.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.EditDataAtttributes" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<%@ Register TagPrefix="dictrl" Namespace="DataIllusion.FeedbackServer.WebAdmin" Assembly="DataIllusion.FeedbackServer.WebAdmin" %>

<script type="text/javascript">

	function tabLoaded(sender, args)
	{
		resizeContainer(sender, args)
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;


        var panelBody = $get('<%=DataAttributesTab.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;
	
	    if (scrollHeight < 250)
	    {
		    panelBody.style.height = "250px";
	    }
	    else
	    {
		    panelBody.style.height = scrollHeight + "px";
	    }
	}
</script>

<table>
    <tr>
        <td>
            &nbsp;&nbsp;
        </td>
        <td width="99%">
            <asp:UpdatePanel RenderMode="Inline" ID="MessageUpdatePanel" runat="server">
                <ContentTemplate>
                    <asp:Label ID="MessageLabel" Visible="false" ForeColor="Red" runat="server"></asp:Label>
                </ContentTemplate>
            </asp:UpdatePanel>
            <ajaxToolkit:TabContainer runat="server" ID="DataAttributesTab" ActiveTabIndex="0"
                Height="250px" Width="100%" OnClientTabLoaded="tabLoaded" OnClientActiveTabChanged="resizeContainer">
                <ajaxToolkit:TabPanel runat="server" ID="AttributesTab" HeaderText="">
                    <ContentTemplate>
                        <asp:UpdatePanel ID="PageUpdatePanel" runat="server">
                            <ContentTemplate>
                                <table class="settingsTable">
                                    <tr>
                                        <td>
                                            <table>
                                                <tr>
                                                    <td nowrap class="labelStyle">
                                                        <asp:Literal ID="DataPipePrefixLabel" EnableViewState="False" runat="server" Text=""></asp:Literal></strong>
                                                    </td>
                                                    <td width="99%">
                                                        <asp:TextBox ID="DataPipePrefixTextBox" Columns="40" runat="server"></asp:TextBox>
                                                    </td>
                                                </tr>
                                            </table>
                                            <asp:DataGrid ID="AttributeGridView" runat="server" AutoGenerateColumns="False" CssClass="TableGrid"
                                                CellPadding="6" AllowCustomPaging="false" OnItemCreated="AttributeGridView_ItemCreated">
                                                <AlternatingItemStyle CssClass="TableAlternatingListRow"></AlternatingItemStyle>
                                                <ItemStyle CssClass="TableListRow"></ItemStyle>
                                                <HeaderStyle CssClass="TableGridHeader" Font-Bold="true"></HeaderStyle>
                                                <Columns>
                                                    <asp:BoundColumn DataField="AttributeName" HeaderText=""></asp:BoundColumn>
                                                    <asp:TemplateColumn>
                                                        <ItemTemplate>
                                                            <asp:TextBox ID="AttributeDataPipeAlias" Columns="40" runat="server"></asp:TextBox>
                                                        </ItemTemplate>
                                                    </asp:TemplateColumn>
                                                    <dictrl:RowSelectorColumn AllowSelectAll="True">
                                                    </dictrl:RowSelectorColumn>
                                                </Columns>
                                            </asp:DataGrid>
                                        </td>
                                    </tr>
                                </table>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                        <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
                            TargetControlID="PageUpdatePanel">
                            <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                            </Animations>
                        </ajaxToolkit:UpdatePanelAnimationExtender>
                    </ContentTemplate>
                </ajaxToolkit:TabPanel>
            </ajaxToolkit:TabContainer>
            <br />
            <asp:UpdatePanel ID="UpdatePanel1" runat="server">
                <ContentTemplate>
                    <table border="0" width="100%">
                        <tr>
                            <td>
                                <asp:Button ID="UpdateDataAttributesButton" runat="server" Text="Update" OnClick="UpdateDataAttributesButton_Click">
                                </asp:Button>
                            </td>
                        </tr>
                    </table>
                    <br />
                </ContentTemplate>
            </asp:UpdatePanel>
        </td>
    </tr>
</table>
