<%@ Control Language="c#" CodeBehind="FormMailer.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.FormMailer" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>

<script type="text/javascript">

	function initTab(sender, args)
	{
		resizeContainer(sender, null);
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;

		var panelBody = $get('<%=QuestionTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;

		if (scrollHeight < 250)
		{
			panelBody.style.height = "250px";
		}
		else
		{
			panelBody.style.height = scrollHeight + "px";
		}
	}

</script>


<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Campaigns/Campaigns.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="CreateCampaignTitle" runat="server" Text="" EnableViewState="true"></asp:Literal>
		</td>
	</tr>
</table>
<table width="95%">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<asp:UpdatePanel ID="UpdatePanel4" runat="server" RenderMode="Inline">
				<ContentTemplate>
					<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
				</ContentTemplate>
			</asp:UpdatePanel>
			<ajaxToolkit:TabContainer runat="server" ID="QuestionTabs" ActiveTabIndex="0" Height="280px"
				Width="100%" OnClientTabLoaded="initTab" OnClientActiveTabChanged="initTab">
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="RecipientTab" HeaderText="Recipients">
					<ContentTemplate>
						<asp:UpdatePanel ID="MailingUpdatePanel" UpdateMode="Conditional" runat="server">
							<Triggers><asp:AsyncPostBackTrigger ControlID="InviteFromRadio" /></Triggers>
							<ContentTemplate>
								<table class="settingsTable">
									<tr>
										<td>
											<table>
												<tr>
													<td nowrap class="labelStyle">
														<asp:Literal ID="CampaignName" runat="server" EnableViewState="False"></asp:Literal>
													</td>
													<td>
														<asp:TextBox ID="CampaignNameTextBox" runat="server" Columns="40"></asp:TextBox>
													</td>
													<td>
														<asp:RadioButtonList RepeatDirection="Horizontal" ID="InviteFromRadio" OnSelectedIndexChanged="InviteFromRadio_IndexChanged" AutoPostBack="true" runat="server" />
													</td>
												</tr>
											</table>
											<asp:PlaceHolder ID="CampaignRecipientPlaceHolder" runat="server"></asp:PlaceHolder>
										</td>
									</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="MessageTab" HeaderText="Invitation message">
					<ContentTemplate>
						<asp:UpdatePanel ID="CampaignInvitationUpdatePanel" runat="server">
							<ContentTemplate>
								<table class="settingsTable">
									<tr>
										<td>
											<asp:PlaceHolder ID="CampaignInvitationPlaceHolder" runat="server"></asp:PlaceHolder>
										</td>
									</tr>
								</table>
								<br />
							</ContentTemplate>
						</asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
			</ajaxToolkit:TabContainer>
		</td>
	</tr>
</table>
		<table border="0" width="100%">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<asp:Button ID="SendInvitationButton" runat="server" Text="" OnClientClick="indicateStartProcess();" OnClick="SendInvitationButton_Click">
					</asp:Button>
				<asp:Button ID="SendReminderButton" OnClick="SendReminderButton_Click" runat="server" Text="Send a reminder"></asp:Button>
				</td>
			</tr>
		</table>
		<br />
<asp:UpdatePanel ID="UpdatePanel1" runat="server"><ContentTemplate></ContentTemplate></asp:UpdatePanel>

<script type="text/javascript">
	if (Sys && Sys.WebForms && Sys.WebForms.PageRequestManager) {
		var prm = Sys.WebForms.PageRequestManager.getInstance();
		if (!prm.get_isInAsyncPostBack()) {
			prm.add_endRequest(endDialogRequest);
			prm.add_beginRequest(BeginRequestHandler);
		}
	}

	function BeginRequestHandler(sender, args)
	{
		indicateStartProcess();
	}

	function endDialogRequest(sender, e)
	{
		indicateEndProcess();
	}
</script>