<%@ Control Language="c#" CodeBehind="InsertQuestion.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.InsertQuestion" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>

<script type="text/javascript">

	function changeSamplePreview(imageName) {
		var previewImage = document.getElementById("previewImage");
		if (previewImage) {
			previewImage.src = "images/resources/wizard/" + imageName + ".gif";
		}
	}
    
</script>

<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
<Triggers><asp:PostBackTrigger ControlID="ImportXMLButton" /></Triggers>
<ContentTemplate>

<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td class="labelStyle">
			<asp:Literal ID="CreateFromLabel" runat="server" EnableViewState="False"></asp:Literal>
		</td>
		<td width="99%" colspan="2">
			<asp:RadioButtonList RepeatDirection="Horizontal" runat="server" ID="CreationTypeRadioButton"
				OnSelectedIndexChanged="CreationTypeRadioButton_Changed" AutoPostBack="true" />
	</tr>
</table>
<asp:PlaceHolder ID="WizardPlaceHolders" runat="server">
	<table class="settingsTable">
		<tr>
			<td>
				&nbsp;&nbsp;
			</td>
			<td>
				<table>
					<tr>
						<td valign="top" nowrap>
							<asp:ListBox ID="QuestionTypesListBox" runat="server" Rows="20"></asp:ListBox>
						</td>
						<td valign="top">
							<img id="previewImage" src="images/resources/wizard/QuestionWizardStart.gif" />
						</td>
					</tr>
				</table>
				<br>
				<asp:Button ID="CreateQuestionButton" runat="server" Text="Create Question" OnClick="CreateQuestionButton_Click">
				</asp:Button>
			</td>
		</tr>
	</table>
</asp:PlaceHolder>
<asp:PlaceHolder ID="ExistingQuestionsPlaceHolder" runat="server">
			<table class="settingsTable">
				<tr>
					<td>
						&nbsp;&nbsp;
					</td>
					<td width="99%">
						<table>
							<tr>
								<td valign="top" nowrap><asp:ListBox ID="SourceDropDownList" runat="server" AutoPostBack="True" OnSelectedIndexChanged="SourceDropDownList_SelectedIndexChanged" Rows="10"></asp:ListBox></td>
								<td>
									<asp:ListBox width="250" ID="SurveyListDropdownlist" runat="server" AutoPostBack="True" Visible="False" Rows="10" OnSelectedIndexChanged="SurveyListDropdownlist_SelectedIndexChanged"></asp:ListBox>
									<asp:ListBox width="250" ID="LibraryDropDownList" runat="server" Visible="False" AutoPostBack="True" Rows="10" OnSelectedIndexChanged="LibraryDropDownList_SelectedIndexChanged"></asp:ListBox>
									<asp:ListBox width="250" ID="PanelDropDownList" runat="server" Visible="False" AutoPostBack="false" Rows="10"></asp:ListBox>
									<asp:ListBox width="250" ID="SurveyVersionListDropdownlist" runat="server" AutoPostBack="True" Visible="False" Rows="10" OnSelectedIndexChanged="SurveyVersionListDropdownlist_SelectedIndexChanged"></asp:ListBox>
								</td>
								<td nowrap>
									<asp:ListBox Rows="10" width="250" ID="SurveyQuestionListDropdownlist" runat="server" Visible="False"></asp:ListBox>
									<asp:ListBox Rows="10" width="250" ID="LibraryQuestionsDropDownList" runat="server" Visible="False"></asp:ListBox>
								</td>
							</tr>
						</table>
						<br/>
						<asp:Button ID="CopyExistingQuestionButton" runat="server" Text="Copy question to this survey" Enabled="False" OnClick="CopyExistingQuestionButton_Click"></asp:Button>
					</td>
				</tr>
			</table>
</asp:PlaceHolder>
	<asp:PlaceHolder ID="ImportXmlQuestionPlaceHolder" runat="server">
		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<table>
						<tr>
							<td valign="top" nowrap width="55">
								<input id="ImportFile" type="file" runat="server">
							</td>
						</tr>
						<tr>
						</tr>
					</table>
					<br />
					<asp:Button ID="ImportXMLButton" runat="server" Text="Import XML" OnClick="ImportXMLButton_Click">
					</asp:Button>
				</td>
			</tr>
		</table>
	</asp:PlaceHolder>

		</ContentTemplate>
	</asp:UpdatePanel>

<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server"
	TargetControlID="PageUpdatePanel">
	<Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
	</Animations>
</ajaxToolkit:UpdatePanelAnimationExtender>
