<%@ Control Language="c#" CodeBehind="ManagePanelMembers.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.ManagePanelMembers" %>
<%@ Register Src="../UserControls/DynamicPanelistGridView.ascx" TagName="DynamicPanelistGridView" TagPrefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Panels/Panelist_manager.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a>
		</td>
		<td width="99%">
			<asp:Literal ID="ManagePanelistTitle" runat="server" EnableViewState="False"></asp:Literal>
		</td>
	</tr>
</table>

<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<uc1:DynamicPanelistGridView ID="DynamicPanelistGridView" runat="server" />
		</td>
	</tr>
</table>

<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<asp:Button ID="CreatePanelistButton" runat="server" Text="Create a panelist" OnClick="CreatePanelistButton_Click" />
			<asp:Button ID="DeletePanelistButton" OnClientClick="return deletePanelists();" runat="server" Text="Delete selected panelist" />
			<asp:Button ID="ExportPanelistsButton" runat="server" Text="" OnClick="ExportPanelistCSV_Click" />
		</td>
	</tr>
</table>

<script type="text/javascript">

	function deletePanelists()
	{
		if(confirm('<%=GetPageResource("DeletePanelistConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.PanelsService.DeletePanelistSelections(GetSelectedIds<%=DynamicPanelistGridView.PanelistGridView.ClientID%>(), 
				<%=PanelId%>, deletePanelists_callback);

		return false;
	}

	function deletePanelists_callback(res) 
	{
		ReloadGrid<%=DynamicPanelistGridView.PanelistGridView.ClientID%>()
	}
	
	if (Sys && Sys.WebForms && Sys.WebForms.PageRequestManager) {
		var prm = Sys.WebForms.PageRequestManager.getInstance();
		if (!prm.get_isInAsyncPostBack()) {
			prm.add_endRequest(endDialogRequest);
			prm.add_beginRequest(BeginRequestHandler);
		}
	}

	function BeginRequestHandler(sender, args)
	{
		indicateStartProcess();
	}

	function endDialogRequest(sender, e)
	{
		indicateEndProcess();
	}	

	function deleteEntry<%=DynamicPanelistGridView.PanelistDynamicGridView.ClientID%>(id)
	{
		if(confirm('<%=GetPageResource("DeletePanelistConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.PanelsService.DeletePanelistSelections(id, <%=PanelId%>, deletePanelists_callback);
	}

</script>