<%@ Control Language="c#" Codebehind="PanelViewSettings.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.PanelViewSettings" %>
<%@ Register Src="../UserControls/PanelViewConditions.ascx" TagName="PanelViewConditions"
	TagPrefix="uc2" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>
<%@ Register Src="../UserControls/DynamicPanelistGridView.ascx" TagName="DynamicPanelistGridView"
	TagPrefix="uc1" %>

<script type="text/javascript">

	function loadTab(sender, args)
	{
		initTab(sender, args);
	}
	
	function initTab(sender, args)
	{
		resizeContainer(sender, null);
	}

	function resizeContainer(sender, args)
	{
		if (!sender)
			return;

		var panelBody = $get('<%=ViewTabs.ClientID%>_body'),
			answerTab = $get(sender.get_tabs()[sender.get_activeTabIndex()].get_id()),
			scrollHeight = answerTab.scrollHeight,
			scrollWidth = answerTab.scrollWidth;

		if (scrollHeight < 250)
		{
			panelBody.style.height = "250px";
		}
		else
		{
			panelBody.style.height = scrollHeight + "px";
		}
	}

</script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Panels/Panel_view_settings.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="PanelViewSettingsTitle" runat="server" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>
<asp:UpdatePanel ID="MessageUpdatePanel" RenderMode="Inline" runat="server"><ContentTemplate><asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label></ContentTemplate></asp:UpdatePanel>
<table width="95%">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%" valign="top">
			<ajaxToolkit:TabContainer runat="server" ID="ViewTabs" ActiveTabIndex="0" Height="280px"
				Width="100%" OnClientTabLoaded="loadTab" OnClientActiveTabChanged="initTab">
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="ViewMembersPanel" HeaderText="Sent">
					<ContentTemplate>
						<asp:UpdatePanel UpdateMode="Conditional" ID="PanelistsGridView" runat="server">
						<Triggers>
						<asp:AsyncPostBackTrigger ControlID="AddPanelistToViewButton" />
						<asp:AsyncPostBackTrigger ControlID="DeletePanelistsFromViewButton" />
						<asp:AsyncPostBackTrigger ControlID="AddPanelistsButton" />
						<asp:AsyncPostBackTrigger ControlID="CancelAddPanelistButton"/>
						<asp:AsyncPostBackTrigger ControlID="DeletePanelistButton" />
						</Triggers>
						<ContentTemplate>
						
						<table class="settingsTable">
							<tr><td>
							<uc1:DynamicPanelistGridView ID="DynamicPanelistGridView" runat="server" /></td></tr></table>
							<asp:Button ID="AddPanelistToViewButton" runat="server" OnClick="AddPanelistToViewButton_Click" />
							<asp:Button ID="DeletePanelistsFromViewButton" OnClientClick="return deletePanelViewPanelists();" runat="server"/>
							<asp:Button ID="AddPanelistsButton" runat="server" Visible=false OnClick="AddPanelistsButton_Click" />
							<asp:Button ID="CancelAddPanelistButton" runat="server" Visible=false OnClick="CancelAddPanelistButton_Click" />
							<asp:Button ID="DeletePanelistButton" OnClientClick="return deletePanelists();" runat="server"/>
							<asp:Button ID="DeleteViewButton2" runat="server" Text="Delete" OnClick="DeleteViewButton_Click">
							</asp:Button>
							</ContentTemplate>
							</asp:UpdatePanel>

					</ContentTemplate>
				</ajaxToolkit:TabPanel>
				<ajaxToolkit:TabPanel CssClass="TabStyle" runat="server" ID="SettingsTabPanel" HeaderText="Queue">
					<ContentTemplate>
						<asp:UpdatePanel id="PanelViewSettingsUpdatePanel" runat="server">
						<ContentTemplate>						
						<table class="settingsTable">
							<tr>
								<td nowrap class="labelStyle">
									<asp:Literal ID="PanelViewNameLabel" runat="server" EnableViewState="False" Text=""></asp:Literal>
								</td>
								<td width="99%">
									<asp:TextBox ID="PanelViewNameTextBox" Columns="40" runat="server"></asp:TextBox><asp:RequiredFieldValidator ID="PanelViewNameRequired" ControlToValidate="PanelViewNameTextBox" runat="server" Display=Dynamic></asp:RequiredFieldValidator>
								</td>
							</tr>
						</table>
						<uc2:PanelViewConditions ID="PanelViewConditionsControl" runat="server"></uc2:PanelViewConditions>

						<asp:Button ID="UpdateViewButton" runat="server" Text="Update" OnClick="UpdateViewButton_Click">
						</asp:Button>
						<asp:Button ID="DeleteViewButton" runat="server" Text="Delete" OnClick="DeleteViewButton_Click">
						</asp:Button>
						</ContentTemplate></asp:UpdatePanel>
					</ContentTemplate>
				</ajaxToolkit:TabPanel>
			</ajaxToolkit:TabContainer>
		</td>
	</tr>
</table>


<script type="text/javascript">

	function deletePanelists()
	{
		if(confirm('<%=GetPageResource("DeletePanelistConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.PanelsService.DeletePanelistSelections(GetSelectedIds<%=DynamicPanelistGridView.PanelistGridView.ClientID%>(), 
				<%=PanelId%>, deletePanelists_callback);
		return false;
	}

	function deletePanelViewPanelists()
	{
		if(confirm('<%=GetPageResource("DeleteViewPanelistConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.PanelsService.
				DeletePanelViewPanelistSelections(GetSelectedIds<%=DynamicPanelistGridView.PanelistGridView.ClientID%>(), <%=PanelViewId%>,
				deletePanelists_callback);
		return false;
	}

	function deletePanelists_callback(res) 
	{
		ReloadGrid<%=DynamicPanelistGridView.PanelistGridView.ClientID%>()
	}

	if (Sys && Sys.WebForms && Sys.WebForms.PageRequestManager) {
		var prm = Sys.WebForms.PageRequestManager.getInstance();
		if (!prm.get_isInAsyncPostBack()) {
			prm.add_endRequest(endDialogRequest);
			prm.add_beginRequest(BeginRequestHandler);
		}
	}

	function BeginRequestHandler(sender, args)
	{
		indicateStartProcess();
	}

	function endDialogRequest(sender, e)
	{
		indicateEndProcess();
	}
	
	function deleteEntry<%=DynamicPanelistGridView.PanelistDynamicGridView.ClientID%>(id)
	{
		if(confirm('<%=GetPageResource("DeleteViewPanelistConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.PanelsService.DeletePanelViewPanelistSelections(id, <%=PanelViewId%>, deletePanelists_callback);
	}	

</script>
