<%@ Register TagPrefix="uc1" TagName="ConditionRulesDisplay" Src="../UserControls/ConditionRulesDisplay.ascx" %>
<%@ Control Language="c#" Codebehind="ThanksMessageConditions.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.ThanksMessageConditions" %>
<%@ Register TagPrefix="uc1" TagName="ConditionRulesEditor" Src="../UserControls/ConditionRulesEditor.ascx" %>
<%@ Register src="../UserControls/RichTextBoxWrapper/RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 



<table class="adminTitle">
	<tr>
		<td><a href="Form_Management/Completion/Completion/Conditional_thanks_message.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%"><asp:Literal ID="ThanksMessageConditionTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>

																		<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
																	<ContentTemplate>
<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;</td>
		<td width="99%">
			<table>
				<tr>
					<td>
						<asp:LinkButton ID="AddThanksMessageConditionLinkButton" runat="server" OnClick="AddThanksMessageConditionLinkButton_Click">Click here to add a new thanks message condition</asp:LinkButton><asp:Repeater
							ID="ConditionRepeater" runat="server">
							<ItemTemplate>
								<table class="conditionBuilder" width="100%">
									<tr>
										<td>
											<table width="100%">
												<tr>
													<td>
														<table class="thanksMessageConditionList" cellpadding="2" width="100%">
															<tr>
																<td colspan="2">
																	<table width="100%" class="thanksMessageConditionOptions">
																		<tr>
																			<td>
																				<asp:ImageButton ID="UpImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString())> 1%>'
																					ImageUrl="../images/questionupbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ThanksMessageConditionId")%>'
																					CommandName="MoveUp" runat="server"></asp:ImageButton>
																				<asp:ImageButton ID="DownImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString()) != ThanksMessageConditionsCount%>'
																					ImageUrl="../images/questiondownbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ThanksMessageConditionId")%>'
																					CommandName="MoveDown" runat="server"></asp:ImageButton></td>
																			<td valign="top">
																					<%#GetPageResource("IfThanksMessageConditionsMetLabel")%>
																				<td align="right">
																				<asp:PlaceHolder ID="EditConditionPlaceholder" runat="server">
																					<asp:LinkButton ID="EditConditionsLinkButton" CommandName="Edit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>'
																						runat="server">
																											<%#GetPageResource("EditConditionHyperLink")%>
																					</asp:LinkButton>&nbsp;|&nbsp;
																					<asp:LinkButton ID="DeleteConditionsHyperLink" CommandName="Delete" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ThanksMessageConditionId")%>'
																						runat="server">
																											<%#GetPageResource("DeleteConditionsHyperLink")%>
																					</asp:LinkButton>&nbsp;|&nbsp;
																					<asp:LinkButton ID="InsertConditionsLinkButton" CommandName="Add" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionOrder")%>'
																						runat="server">
																											<%#GetPageResource("InsertConditionsHyperLink")%>
																					</asp:LinkButton>
																				</asp:PlaceHolder>
																					<asp:PlaceHolder ID="EditRulesPlaceholder"  runat="server" Visible="false">
																					<asp:LinkButton ID="CancelEditLinkButton" CommandName="CancelEdit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>' runat="server"><%#GetPageResource("CancelRuleLinkButton")%>
																					</asp:LinkButton>
																					</asp:PlaceHolder>
																					
																					
																				</td>
																		</tr>
																	</table>
																</td>
															</tr>
															<tr>
																<td>
																	&nbsp;&nbsp;</td>
																<td>
																<asp:Label ID="NoRulesFoundLabel" runat="server"></asp:Label>
																		<uc1:ConditionRulesEditor ID="ConditionRulesEditorControl" IsInPanel="true" runat="server" Visible="false">
																		</uc1:ConditionRulesEditor>
																	
																	<uc1:ConditionRulesDisplay ID="ConditionRulesDisplayControl" runat="server"></uc1:ConditionRulesDisplay>
		
 

																	<br>
																	<b>
																		<%#GetPageResource("CustomThanksMessageLabel")%>
																	</b>
																	<br>																
							
							<uc1:RichTextBox ID="ThankYouFreeTextBox" runat="server" 
							Width="550" Height="250">
						</uc1:RichTextBox>
																	
																	<br>
																	<asp:Button runat="server" CommandName="UpdateMessage" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ThanksMessageConditionId").ToString()%>'
																		Text='<%#GetPageResource("UpdateCustomThanksMessageButton")%>'></asp:Button>
																</td>
															</tr>
														</table>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
								<br>
							</ItemTemplate>
						</asp:Repeater>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</ContentTemplate>
</asp:UpdatePanel>


																	           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" TargetControlID="PageUpdatePanel" runat="server">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender>

