<%@ Register TagPrefix="vts" Namespace="DataIllusion.FeedbackServer.WebControls" Assembly="DataIllusion.FeedbackServer.Core" %>
<%@ Import Namespace="DataIllusion.FeedbackServer.Data" %>
<%@ Import Namespace="DataIllusion.FeedbackServer" %>
<%@ Import Namespace="DataIllusion.FeedbackServer.Enums" %>
<%@ Import Namespace="DataIllusion.FeedbackServer.Helpers" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit"
	TagPrefix="ajaxToolkit" %>
<%@ Control Language="c#" CodeBehind="VersionPreview.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.VersionPreview" %>

<script type="text/javascript" src="scripts/fslang.aspx" ></script>

<style type="text/css">
	.calendarStyle .ajax__calendar_container
	{
		border: 1px solid #646464;
		background-color: #ffffff;
		color: #000000;
	}
	.calendarStyle .ajax__calendar_footer
	{
		border-top: 1px solid #f5f5f5;
	}
	.calendarStyle .ajax__calendar_dayname
	{
		border-bottom: 1px solid #f5f5f5;
	}
	.calendarStyle .ajax__calendar_day
	{
		border: 1px solid #ffffff;
	}
	.calendarStyle .ajax__calendar_month
	{
		border: 1px solid #ffffff;
	}
	.calendarStyle .ajax__calendar_year
	{
		border: 1px solid #ffffff;
	}
	.calendarStyle .ajax__calendar_active .ajax__calendar_day
	{
		background-color: #edf9ff;
		border-color: #0066cc;
		color: #0066cc;
	}
	.calendarStyle .ajax__calendar_active .ajax__calendar_month
	{
		background-color: #edf9ff;
		border-color: #0066cc;
		color: #0066cc;
	}
	.calendarStyle .ajax__calendar_active .ajax__calendar_year
	{
		background-color: #edf9ff;
		border-color: #0066cc;
		color: #0066cc;
	}
	.calendarStyle .ajax__calendar_other .ajax__calendar_day
	{
		background-color: #ffffff;
		border-color: #ffffff;
		color: #646464;
	}
	.calendarStyle .ajax__calendar_other .ajax__calendar_year
	{
		background-color: #ffffff;
		border-color: #ffffff;
		color: #646464;
	}
	.calendarStyle .ajax__calendar_hover .ajax__calendar_day
	{
		background-color: #edf9ff;
		border-color: #daf2fc;
		color: #0066cc;
	}
	.calendarStyle .ajax__calendar_hover .ajax__calendar_month
	{
		background-color: #edf9ff;
		border-color: #daf2fc;
		color: #0066cc;
	}
	.calendarStyle .ajax__calendar_hover .ajax__calendar_year
	{
		background-color: #edf9ff;
		border-color: #daf2fc;
		color: #0066cc;
	}
	.calendarStyle .ajax__calendar_hover .ajax__calendar_title
	{
		color: #0066cc;
	}
	.calendarStyle .ajax__calendar_hover .ajax__calendar_today
	{
		color: #0066cc;
	}
</style>

<table width="95%">
	<tr>
		<td>
			&nbsp;
		</td>
		<td width="99%">
						<asp:UpdatePanel ID="PageUpdatePanel" runat="server">
							<ContentTemplate>					
								<table class="settingsTable" cellpadding="0" cellspacing="0" width="100%">
											<tr>
										<td>
											<vts:SurveyBox ID="RespondentAnswers" runat="server" EnableValidation="true" />
										</td>
									</tr>
								</table>
							</ContentTemplate>
						</asp:UpdatePanel>

           <ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender>
		</td>
	</tr>
</table>
