<%@ Control Language="c#" Codebehind="VoterAnalysis.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.VoterAnalysis" %>
<%@ Import Namespace="DataIllusion.FeedbackServer.WebAdmin" %>
<%@ Register Src="../UserControls/DynamicGridView.ascx" TagName="DynamicGridView" TagPrefix="uc1" %>

<script type="text/javascript" src="scripts/fslang.aspx" ></script>
<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Reports/Respondent_Analysis.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="VoterAnalysisTitle" runat="server" Text="Voter Analysis" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>
<asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
	<ContentTemplate>
		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<table>
						<tr>
							<td nowrap class="labelStyle">
								<asp:Literal ID="SearchTextLabel" EnableViewState="False" runat="server" Text="Search Text Entries :"></asp:Literal>
							</td>
							<td colspan="5" width="99%">
								<asp:DropDownList ID="SearchDropDownList" runat="server">
								</asp:DropDownList>
								&nbsp;
								<asp:TextBox ID="SearchContentTextBox" runat="server" MaxLength="255"></asp:TextBox>
								<asp:Button ID="SubmitSearch" Text="Search" runat="server" OnClick="SubmitSearch_Click"></asp:Button>
								<asp:Button ID="ClearSearchButton" Text="" runat="server" OnClick="ClearSearch_Click"></asp:Button>
							</td>
						</tr>
						<tr>
							<td valign="center" nowrap class="labelStyle">
								<asp:Literal ID="VoterStatusLabel" EnableViewState="False" runat="server" Text="Status :"></asp:Literal>
							</td>
							<td valign="top">
								<asp:DropDownList ID="VoterStatusDropDownList" OnSelectedIndexChanged="VoterStatusDropDownList_SelectedIndexChanged"
									AutoPostBack="true" runat="server">
								</asp:DropDownList>
							</td>
							<td nowrap class="labelStyle" valign="center">
								<asp:Literal ID="FiltersLabel" EnableViewState="False" runat="server" Text="Filters :"></asp:Literal>
							</td>
							<td valign="top" nowrap class="labelStyle">
								<asp:DropDownList ID="ReportFilterDropDownList" OnSelectedIndexChanged="ReportFilterDropDownList_SelectedIndexChanged"
									AutoPostBack="true" runat="server">
								</asp:DropDownList>
								&nbsp;
							</td>
							<td nowrap class="labelStyle" valign="center">
								<asp:Literal ID="ShowVoterIdLabel" EnableViewState="False" runat="server"></asp:Literal>
							</td>
							<td width="99%" valign="top" nowrap class="labelStyle">
							<asp:CheckBox AutoPostBack="true" OnCheckedChanged="ShowVoterId_Changed" ID="ShowVoterIdCheckbox" runat="server" />
								&nbsp;
							</td>
						</tr>
						<tr>
							<td nowrap class="labelStyle">
								<asp:Literal ID="ExtraAnswersLabel" EnableViewState="False" runat="server" Text="Extra answers to show :"></asp:Literal>
							</td>
							<td colspan="5">
								<asp:DropDownList ID="Attribute1DropDownList" runat="server" AutoPostBack="True"
									OnSelectedIndexChanged="Attribute1DropDownList_SelectedIndexChanged">
								</asp:DropDownList>
								&nbsp;
								<asp:DropDownList ID="Attribute2DropDownList" runat="server" AutoPostBack="True"
									OnSelectedIndexChanged="Attribute2DropDownList_SelectedIndexChanged">
								</asp:DropDownList>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</ContentTemplate>
</asp:UpdatePanel>

		<table class="settingsTable">
			<tr>
				<td>
					&nbsp;&nbsp;
				</td>
				<td width="99%">
					<uc1:DynamicGridView ID="RespondentDynamicGridView" ShowFilterControl="false" runat="server" />
<asp:UpdatePanel runat="server">
<ContentTemplate>
					
					<asp:Button ID="AddNewEntryButton" runat="server"/>
					<asp:Button ID="UnvalidateEntriesButton" runat="server" OnClientClick="unValidatedEntries();return false;" />
					<asp:Button ID="ValidateEntriesButton" runat="server" OnClientClick="validatedEntries();return false;" />
					<asp:Button ID="DeleteEntries" runat="server" OnClientClick="deleteEntries();return false;" />
					<asp:Button ID="DeleteAllEntries" runat="server" OnClientClick="deleteAllValidatedEntries();return false;" />
					<asp:Button ID="DeleteAllUnvalidatedButton" runat="server" OnClientClick="deleteAllUnValidatedEntries();return false;" />
					<asp:Button ID="ArchiveEntriesButton" runat="server" OnClientClick="archiveEntries();return false;" />
					<asp:Button ID="ArchiveAllButton" runat="server" OnClientClick="archiveAllEntries();return false;" />

					<asp:Button ID="UnArchiveEntriesButton" runat="server" OnClientClick="unarchiveEntries();return false;" />
					<asp:Button ID="UnArchiveAllButton" runat="server" OnClientClick="unarchiveAllEntries();return false;" />


</ContentTemplate></asp:UpdatePanel>
				</td>
			</tr>
		</table>

<script type="text/javascript">
	
	if (Sys && Sys.WebForms && Sys.WebForms.PageRequestManager) {
		var prm = Sys.WebForms.PageRequestManager.getInstance();
		if (!prm.get_isInAsyncPostBack()) {
			prm.add_endRequest(endDialogRequest);
			prm.add_beginRequest(BeginRequestHandler);
		}
	}

	function BeginRequestHandler(sender, args)
	{
		indicateStartProcess();
	}

	function endDialogRequest(sender, e)
	{
		indicateEndProcess();
	}

	function deleteEntries()
	{
		if(confirm('<%=GetPageResource("DeleteVoterConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.VotersService.DeleteVoterSelections(<%=SurveyId%>, 
				GetSelectedIds<%=RespondentDynamicGridView.ClientID%>(),
				deleteEntries_callback);
	}

	function archiveEntries()
	{
		DataIllusion.FeedbackServer.Services.Web.Admin.VotersService.ArchiveEntries(<%=SurveyId%>, 
			GetSelectedIds<%=RespondentDynamicGridView.ClientID%>(),
			deleteEntries_callback);
	}

	function archiveAllEntries()
	{
			DataIllusion.FeedbackServer.Services.Web.Admin.VotersService.ArchiveAllValidatedEntries(<%=SurveyId%>,
				deleteEntries_callback);
	}

	function unarchiveEntries()
	{
		DataIllusion.FeedbackServer.Services.Web.Admin.VotersService.UnArchiveEntries(<%=SurveyId%>, 
			GetSelectedIds<%=RespondentDynamicGridView.ClientID%>(),
			deleteEntries_callback);
	}

	function unarchiveAllEntries()
	{
			DataIllusion.FeedbackServer.Services.Web.Admin.VotersService.UnArchiveAllEntries(<%=SurveyId%>,
				deleteEntries_callback);
	}

	function deleteAllValidatedEntries()
	{
		if(confirm('<%=GetPageResource("ResetVotesConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.VotersService.DeleteAllUnarchivedValidatedEntries(<%=SurveyId%>,
				deleteEntries_callback);
	}


	function deleteAllUnValidatedEntries()
	{
		if(confirm('<%=GetPageResource("ResetVotesConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.VotersService.DeleteAllUnValidatedEntries(<%=SurveyId%>,
				deleteEntries_callback);
	}

	function validatedEntries()
	{
		if(confirm('<%=GetPageResource("ValidateEntriesConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.VotersService.ValidatedEntries(<%=SurveyId%>,
				GetSelectedIds<%=RespondentDynamicGridView.ClientID%>(),
				deleteEntries_callback);
	}


	function unValidatedEntries()
	{
		if(confirm('<%=GetPageResource("UnvalidateEntriesConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.VotersService.UnValidatedEntries(<%=SurveyId%>,
				GetSelectedIds<%=RespondentDynamicGridView.ClientID%>(),
				deleteEntries_callback);
	}

	function deleteEntries_callback(res) 
	{
		ReloadGrid<%=RespondentDynamicGridView.ClientID%>()
	}
	
	function deleteEntry<%=RespondentDynamicGridView.ClientID%>(id)
	{
		if(confirm('<%=GetPageResource("DeleteVoterConfirmationMessage")%>')== false) return false;
			DataIllusion.FeedbackServer.Services.Web.Admin.VotersService.DeleteVoterSelections(<%=SurveyId%>, 
				id, deleteEntries_callback);
	}
	
	function editEntry<%=RespondentDynamicGridView.ClientID%>(id,rowindex,totalrows,sortcolumn,sortorder)
	{
		var respondentStatus = document.getElementById('<%=VoterStatusDropDownList.ClientID%>').value,
			attribute1Id = document.getElementById('<%=Attribute1DropDownList.ClientID%>').value,
			attribute2Id = document.getElementById('<%=Attribute2DropDownList.ClientID%>').value,
			filterId = document.getElementById('<%=ReportFilterDropDownList.ClientID%>').value,
			searchId = document.getElementById('<%=SearchDropDownList.ClientID%>').value,
			searchText = document.getElementById('<%=SearchContentTextBox.ClientID%>').value;
		
		parent.OpenModal('fsadmin.aspx?fscontrol=respondentreport&surveyid=<%=SurveyId%>&voterid='+encodeURIComponent(id)+'&rowindex='+rowindex+
			'&totalrows='+totalrows+'&sortcolumn='+encodeURIComponent(sortcolumn)+'&sortorder='+encodeURIComponent(sortorder)+'&nomenu=1&attribute1Id='+attribute1Id+'&attribute2Id='+attribute2Id+
			'&respondentstatus='+respondentStatus+'&filterid='+filterId+'&searchid='+searchId+'&searchtext=' + encodeURIComponent(searchText) , '<%=GetPageResource("VoterInformationTitle")%>', true);
	}
	
	function refresh()
	{
		parent.closeModal();
		ReloadGrid<%=RespondentDynamicGridView.ClientID%>()
	}
		
</script>
