<%@ Page language="c#" ValidateRequest="false" Codebehind="ReportMenu.aspx.cs" AutoEventWireup="True" Inherits="DataIllusion.FeedbackServer.WebAdmin.ReportMenu" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %> 

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<html>
  <head>
		<title>Data Illusion's FeedbackServer</title>
<!--begin YUI Utilities -->
<script type="text/javascript" src="scripts/build/yho/yho-min.js"></script>
<script type="text/javascript" src="scripts/build/event/event-min.js"></script>
<script type="text/javascript" src="scripts/build/connection/connection-min.js"></script>
<script type="text/javascript" src="scripts/build/treeview/treeview-min.js"></script>
<script type="text/javascript" src="scripts/build/dom/dom-min.js"></script>

<script>
	
YAHOO.util.DivDragDropMgr = parent.getManager();

</script>


<script type="text/javascript" src="scripts/build/dragdrop/dragdrop.js" ></script>
<script type="text/javascript" src="scripts/build/treeview/FSTreeview.js"></script>
<script type="text/javascript" src="scripts/build/treeview/FSNode.js"></script>
<script type="text/javascript" src="scripts/build/dragdrop/FSDivDD.js" ></script>
<script type="text/javascript" src="scripts/build/treeview/FSTreeLoader.js"></script>
<script type="text/javascript" src="scripts/build/treeview/TaskNode.js"></script>

<script type="text/javascript" src="scripts/FSCommon.js"></script>

	<script type="text/javascript">

YAHOO.util.DivDragDropMgr.unregAllFrame('fsMenu');
YAHOO.util.DivDragDropMgr.addDefaultListenersToDocument(document);

        var treeLoader;
        var menuType = 4;
		var localPageIndex = 1;
		var localReportId = -1;
        var surveyId = <%=SurveyId%>;
        var bootOpen;

		//load tree on page
		function loadTree(){

			localPageIndex = 1;
            YAHOO.util.DivDragDropMgr.rtlMode = '<%=HttpContext.Current.Items["FS_LanguagDirection"] != null ? HttpContext.Current.Items["FS_LanguagDirection"] : "ltr"%>'
            treeLoader = new YAHOO.widget.TreeViewLoader("FSTreeContainer", 
			DataIllusion.FeedbackServer.Data.TreeTypes.Reporting,
			onPostHandler, 
			true, 
			null, 
			doOnBeforeDrop, 
			loadContent, 
			surveyId, 
			false,
			null, 
			'fsMenu', 
			true);
		}
		
		function onPostHandler()
        {
            if (!bootOpen)
            {
                var rootNode = treeLoader.tree.getNodeByIndex(treeLoader.tree.getNodeByIdentifier(treeLoader.tree.getRoot(), 'surveyreports_<%=SurveyId%>'));
                if (rootNode && !rootNode.expanded)
                {
                    rootNode.expand();
                }
            }
        }

		
		function reloadTree(saveState, refreshRoot, id)
		{
			var idType = id.split("_")[0],
				idDBId = id.split("_")[1];

			if (idType == "page")
			{
				localPageIndex = idDBId;
			}

			// Removes any selected node
			YAHOO.util.DivDragDropMgr.tree.selectedNode = null;
		    
            var index = YAHOO.util.DivDragDropMgr.tree.getNodeByIdentifier(YAHOO.util.DivDragDropMgr.tree.getRoot(), id);

            if (index != null)
            {
                node = YAHOO.util.DivDragDropMgr.tree.getNodeByIndex(index);
            }

            if (node && node != null)
            {
              YAHOO.util.DivDragDropMgr.tree.removeChildren(node);
              node.expand();              
            }
    	}


	function doOnBeforeDrop(sourceNode, targetNode)
	{
			YAHOO.util.Dom.get(targetNode.tree.id + 'node_' + targetNode.index).className = "containerTableStyle";

            var id = sourceNode.identifier,
	            parentId = targetNode.identifier;

            var dragReturn = 
            {
                allowDrag: false,
                moveItemInDynamicChild:true
            };


            if (id == null || parentId == null || parentId == '0')
			{
				return dragReturn;
			}

			var idType = id.split("_")[0],
				idDBId = id.split("_")[1],
				parentType = parentId.split("_")[0],
				parentDBId = parentId.split("_")[1],
				reportId = id.split("_")[2],
				targetReportId = parentId.split("_")[2];

			if (idType == "page" && (parentType == "reportitem"))
			{
				alert('<%=GetPageResource("CannotDropPage")%>');
				return dragReturn;
			}
			else
			{
                dragReturn.allowDrag = true;
            }

    		var callback = 
            {
                argument: [id, parentId, sourceNode, targetNode]
            };
            
			DataIllusion.FeedbackServer.Services.Web.Admin.TreesService.MoveReportTreeItem(surveyId, 
				id, parentId, handleSuccess, handleFailure, callback)
			
			if (idType == "page" && parentType == "page")
			{	
				dragReturn.moveItemInDynamicChild = false;  
				localPageIndex = parentDBId;
				return dragReturn;
			}
			else if (parentType == "page" && idType == "reportitem")
			{
				dragReturn.moveItemInDynamicChild = true;
			}

			return dragReturn;
		}

		function handleFailure(exception)
		{
			var stackTrace = exception.get_stackTrace();
			var message = exception.get_message();
			var statusCode = exception.get_statusCode();
			var exceptionType = exception.get_exceptionType();
			var timedout = exception.get_timedOut();
	   
			var error = 
				"Stack Trace: " +  stackTrace + "\r\n\r\n" +
				"Service Error: " + message + "\r\n\r\n" +
				"Status Code: " + statusCode + "\r\n\r\n" +
				"Exception Type: " + exceptionType + "\r\n\r\n" +
				"Timedout: " + timedout;

			alert(error);
		}
				
       function handleSuccess(result, o) 
       {    
			var id = o.argument[2].identifier,
				parentId = o.argument[3].identifier;

			var idType = o.argument[0].split("_")[0],
				idDBId = o.argument[0].split("_")[1],
				parentType = o.argument[1].split("_")[0],
				parentDBId = o.argument[1].split("_")[1],
				reportId = id.split("_")[2],
				targetReportId = parentId.split("_")[2];
	    	
			// If item has been dragged to another report make sure 
			// to update its node identifier information with the new
			// report id in which it has been dragged
			if (idType == "reportitem" && (parentType == "reportitem") && reportId != targetReportId)
			{
				o.argument[2].identifier = idType+"_"+idDBId+"_"+targetReportId;
			}
	    	
    		if (idType == "page" && parentType == "page")
			{	
				reloadTree(false, true, 'report_' + o.argument[0].split("_")[2]);
				reloadTree(false, true, 'report_' + o.argument[1].split("_")[2]);
			}
			
			loadReportPage();
       }
       
       function handleFailure(o) 
       {
            alert('could not parse the ajax data' + o.statusText);
       }
       
       function loadReportPage()
       {
       		var adminFrame = parent.document.getElementById('fsadmin');
			if (adminFrame != null)
			{
				iFrame = parent.document.frames && parent.document.frames['fsadmin'] ? parent.document.frames['fsadmin'] : 
					parent.document.getElementById('fsadmin');
				
				frameDoc = iFrame.document || iFrame.contentWindow.document;

				if (frameDoc.getElementById('report_builder') != null)
				{
					parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=reportbuilder&page='+localPageIndex+'&reportid=' +localReportId+'&surveyid=<%=SurveyId%>';
				}
				else if (frameDoc.getElementById('report_analysis') != null)
				{
					parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=reportanalysis&reportid=' + localReportId+'&surveyid=<%=SurveyId%>';
				}
			}
       }

		function loadContent(node)
		{
			var nodeId = node.identifier,
			    idType = nodeId.split("_")[0],
				idDBId = nodeId.split("_")[1];

			if (idType == "page")
			{
				localPageIndex = idDBId;
				localReportId = nodeId.split("_")[2];
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=reportbuilder&page='+idDBId+'&reportid=' + nodeId.split("_")[2]+'&surveyid=<%=SurveyId%>';
			}
			else if (idType == "report")
			{
				localReportId = idDBId;
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=reportanalysis&reportid=' + idDBId+'&surveyid=<%=SurveyId%>';
			}
			else if (idType == "addnewpage")
			{
				localReportId = idDBId;
				addNewPage(idDBId);
			}
			else if (idType == "addnewreport")
			{
				localReportId = -1;
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=reportsettings&addreport=1&surveyid=<%=SurveyId%>';
			}
			else if (idType == "reportitem")
			{
				localReportId = nodeId.split("_")[2];
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=editreportitem&reportid='+nodeId.split("_")[2]+'&reportitemid=' + idDBId+'&surveyid=<%=SurveyId%>';
			}
			else if (idType == "addnewreportitem")
			{
				localReportId = nodeId.split("_")[2];
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=insertreportitem&reportid='+nodeId.split("_")[2]+'&surveyid=<%=SurveyId%>&DisplayOrder=-1&Page='+idDBId;
			}
			else if (idType == "reportitemsettings")
			{
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=reportsettings&reportid=' + idDBId+'&surveyid=<%=SurveyId%>';
				localReportId = idDBId;
			}
			else if (idType == "csvexport")
			{
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=exportdata&type=1&surveyid=<%=SurveyId%>';
			}
			else if (idType == "xmlexport")
			{
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=exportdata&type=2&surveyid=<%=SurveyId%>';
			}
			else if (idType == "spssexport")
			{
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=exportdata&type=3&surveyid=<%=SurveyId%>';
			}
			else if (idType == "aggregateexport")
			{
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=exportdata&type=4&surveyid=<%=SurveyId%>';
			}
			else if (idType == "addnewdataexport")
			{
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=exportdata&add=1&surveyid=<%=SurveyId%>';
			}
			else if (idType == "dataexportemplate")
			{
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=exportdata&dataexporttemplateId='+idDBId+'&surveyid=<%=SurveyId%>';
			}
			else if (idType == "dataexport")
			{
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=dataexporttemplates&surveyid=<%=SurveyId%>';
			}
			else if (idType == "surveyreports")
			{
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=surveyreports&surveyid=<%=SurveyId%>';
			}
		}

		function addNewPage(reportId)
		{
			if (parent.document.getElementById('fsadmin') != null)
			{
				parent.document.getElementById('fsadmin').src = 'fsadmin.aspx?fscontrol=addreportpage&surveyid=<%=SurveyId%>&reportid='+reportId;
			}
		}
				
	</script>	
<link href="css/fsadmin.css" type="text/css" rel="stylesheet" />
  </head>
<body background="images/editordarkbackground.gif"onload="loadTree()" leftmargin="0" topmargin="0" marginheight="0" marginwidth="0" dir="<%=HttpContext.Current.Items["FS_LanguagDirection"] != null ? HttpContext.Current.Items["FS_LanguagDirection"] : "ltr"%>">
	<form id="Form2" method="post" runat="server">

		<ajaxToolkit:ToolkitScriptManager runat="Server" EnablePageMethods="true" EnablePartialRendering="true"
			EnableScriptGlobalization="true" EnableScriptLocalization="true" ID="ControlScriptManager"
			AsyncPostBackTimeout="360000" ScriptMode="Release" CombineScripts="false">
		</ajaxToolkit:ToolkitScriptManager>

<table cellSpacing=0 cellPadding=0 class="formNavigator">
  <tr>
    <td class=leftMenuCell colSpan=5>
        <div id="FSTreeContainer" style="WIDTH: 270px;overflow: auto; height: 555px<%=HttpContext.Current.Items["FS_LanguagDirection"] != null && HttpContext.Current.Items["FS_LanguagDirection"] == "rtl" ? ";direction: rtl; unicode-bidi: bidi-override;" : ""%>" "  onselectstart="return false"></div>
				</td>
			</tr>
		</table>
	</form>

<script type="text/javascript">
function resizeIframe() {
	var id = "FSTreeContainer";
    var iFrame = document.getElementById(id),
        setWidth = true;
	
    	var height=window.innerWidth;		  //Firefox
		if (document.body.clientHeight)
		{
			height=document.body.clientHeight;//IE
		}

		if (iFrame)
		{
			iFrame.style.height= (height - iFrame.offsetTop-26) + "px";
	    }
};
resizeIframe();
window.onresize = resizeIframe;

registerTreeUnload();


</script>


</body>
</html>
