	<%@ Control Language="c#" Codebehind="AnswerConditions.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.UserControls.AnswerConditions" %>
<%@ Register TagPrefix="uc1" TagName="ConditionRulesDisplay" Src="../UserControls/ConditionRulesDisplay.ascx" %>
<%@ Register TagPrefix="uc1" TagName="ConditionRulesEditor" Src="../UserControls/ConditionRulesEditor.ascx" %>

<asp:Label ID="MessageLabel" runat="server" ForeColor="Green" Visible="False"></asp:Label>

						<asp:LinkButton ID="AddAnswerSkipLogicConditionLinkButton" CssClass="smallText" runat="server" OnClick="AddAnswerConditionLinkButton_Click">Click here to add a new thanks message condition</asp:LinkButton><asp:Repeater
							ID="ConditionRepeater" runat="server">
							<ItemTemplate>
								<table class="conditionBuilder">
									<tr>
										<td>
											<table width="100%">
												<tr>
													<td>
														<table class="skipConditionList" cellpadding="2" width="100%">
															<tr>
																<td colspan="2">
																	<table width="100%" class="skipConditionOptions">
																		<tr>
																			<td nowrap>
																				<asp:ImageButton ID="UpImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString())> 1%>'
																					ImageUrl="../images/questionupbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "SkipAnswerConditionId")%>'
																					CommandName="MoveUp" runat="server"></asp:ImageButton>
																				<asp:ImageButton ID="DownImageButton" Visible='<%#int.Parse(DataBinder.Eval(Container.DataItem, "ConditionOrder").ToString()) != AnswerConditionsCount%>'
																					ImageUrl="../images/questiondownbutton.png" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "SkipAnswerConditionId")%>'
																					CommandName="MoveDown" runat="server"></asp:ImageButton></td>
																			<td valign="top" nowrap align="left">
																					<asp:DropDownList ID="DisplayModeDropDownList" OnSelectedIndexChanged="DisplayMode_SelectedIndexChanged" AutoPostBack="true" Font-Size="XX-Small" runat="server"></asp:DropDownList>&nbsp;&nbsp;<%#GetPageResource("AnswerIfConditionsAreMet")%>
																				<td align="right" nowrap width="99%">
	
																			
																				<asp:PlaceHolder ID="EditConditionPlaceholder" runat="server">
																					<asp:LinkButton ID="EditConditionsLinkButton" CommandName="Edit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>'
																						runat="server">
																											<%#GetPageResource("EditConditionHyperLink")%>
																					</asp:LinkButton>&nbsp;|&nbsp;
																					<asp:LinkButton ID="DeleteConditionsHyperLink" CommandName="Delete" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "SkipAnswerConditionId")%>'
																						runat="server">
															    												<%#GetPageResource("DeleteConditionsHyperLink")%>
																					</asp:LinkButton>&nbsp;|&nbsp;
																					<asp:LinkButton ID="InsertConditionsLinkButton" CommandName="Add" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionOrder")%>'
																						runat="server">
																											<%#GetPageResource("InsertConditionsHyperLink")%>
																					</asp:LinkButton>
																					</asp:PlaceHolder>
																					<asp:PlaceHolder ID="EditRulesPlaceholder" runat="server" Visible="false">
																					<asp:LinkButton ID="CancelEditLinkButton" CommandName="CancelEdit" CommandArgument='<%#DataBinder.Eval(Container.DataItem, "ConditionGroupId")%>' runat="server"><%#GetPageResource("CancelRuleLinkButton")%>
																					</asp:LinkButton>
																					</asp:PlaceHolder>
																					
																					
																					</td>
																		</tr>
																	</table>
																</td>
															</tr>
															<tr>
																<td>
																	<asp:Label ID="NoRulesFoundLabel" runat="server"></asp:Label>
																	<uc1:ConditionRulesDisplay ID="ConditionRulesDisplayControl" runat="server"></uc1:ConditionRulesDisplay>
																	<uc1:ConditionRulesEditor ID="ConditionRulesEditorControl" IsInPanel="true" runat="server" Visible="false"></uc1:ConditionRulesEditor>
																</td>
															</tr>
														</table>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</table>
								<br>
							</ItemTemplate>
						</asp:Repeater>


