<%@ Control Language="c#" Codebehind="CSVExport.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.CSVExport" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Reports/Data_export.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="DataExportFormatingTitle" EnableViewState="False" Text="" runat="server"></asp:Literal></td>
	</tr>
</table>
<table class="settingsTable">
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<table>
				<tr id="CSVExportOutputRow" runat="server">
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="CSVExportOuputType" runat="server" Text="CSV Export Output"></asp:Literal></td>
					<td>
						<asp:DropDownList ID="CSVExportOuputTypeDropdownlist" runat="server" AutoPostBack="True"
							OnSelectedIndexChanged="CSVExportOuputTypeDropdownlist_SelectedIndexChanged">
						</asp:DropDownList></td>
				</tr>
				<tr id="CSVHeaderTemplateRow" runat="server">
					<td class="labelStyle">
						
							<asp:Literal ID="CSVHeaderTemplateLabel" EnableViewState="true" runat="server" Text="Columns header template :"></asp:Literal></td>
					<td width="99%">
						<asp:TextBox ID="HeaderTemplateTextbox" runat="server">{0} ({1})</asp:TextBox></td>
				</tr>
				<tr id="ColumnHeaderRow" runat="server">
					<td nowrap class="labelStyle">
						
							<asp:Literal ID="ColumnHeaderOutputLabel" EnableViewState="False" runat="server"
								Text="Export encoding"></asp:Literal></td>
					<td>
						<asp:DropDownList ID="ColumnHeaderOuptutDropDownList" runat="server">
						</asp:DropDownList></td>
				</tr>
				<tr id="SelectionOutputRow" runat="server" Visible="False">
					<td nowrap class="labelStyle"><asp:Literal ID="SelectionAnswersOutputLabel" runat="server" Text="Selection Answers Output"></asp:Literal></td>
					<td>
						<asp:DropDownList ID="SelectionAnswersOuputDropdownlist" runat="server" >
						</asp:DropDownList></td>
				</tr>
				<tr id="TextAnswersOutputRow" runat="server" Visible="False">
					<td nowrap class="labelStyle"><asp:Literal ID="TextAnswersOutputLabel" runat="server" Text="Text Answers Output"></asp:Literal></td>
					<td width="99%"><asp:DropDownList ID="TextAnswersOuputDropDownList" runat="server" ></asp:DropDownList></td>
				</tr>
					<tr id="ExportFollowingAnswersRow" runat="server" Visible="false">
					<td nowrap class="labelStyle"><asp:Literal ID="ExportFollowingAnswersLabel" EnableViewState="true" runat="server"
								Text="Export following answers :" ></asp:Literal></td>
					<td>
					<asp:DropDownList ID="ExportAnswerTypesDropDownList"  runat="server" ></asp:DropDownList>
					</td>
				</tr>

					<tr>
					<td class="labelStyle"><asp:Literal ID="MultipleAnswersDelimiterLabel" EnableViewState="true" runat="server"
								Text="Multiple answers delimiter" Visible="False"></asp:Literal></td>
					<td>
					<asp:DropDownList ID="MultipleAnswersModeDropDownList"  AutoPostBack="true" OnSelectedIndexChanged="MultipleAnswersModeDropDownList_IndexChanged" runat="server" Visible="false"></asp:DropDownList>
					<asp:TextBox ID="MultipleAnswersDelimiterTextbox" runat="server" Visible="false" Columns="1" MaxLength="1">#</asp:TextBox></td>
				</tr>
				<asp:PlaceHolder ID="CSVOptionPlaceHolder" runat="server">
					<tr>
						<td nowrap class="labelStyle" width="140"><asp:Literal ID="SelectedAnswerMarkLabel" runat="server" EnableViewState="true" Text="Answer selection mark :"></asp:Literal></td>
						<td><asp:TextBox ID="SelectAnswerMarkTextbox" runat="server" Columns="1">1</asp:TextBox></td>
					</tr>
					<tr id="UnselectedMarkRow" runat="server">
						<td class="labelStyle">
							
								<asp:Literal ID="UnSelectedAnswerMarkLabel" runat="server" EnableViewState="true"
									Text="Answer unselected mark :"></asp:Literal></td>
						<td>
							<asp:TextBox ID="UnSelectedMarkTextbox" runat="server" Columns="1">0</asp:TextBox></td>
					</tr>
					<tr>
						<td nowrap class="labelStyle" >
							
								<asp:Literal ID="FieldDelimiterLabel" runat="server" EnableViewState="False" Text="Field delimiter"></asp:Literal></td>
						<td>
							<asp:DropDownList ID="FieldDelimiterDropDownList" runat="server" AutoPostBack="True"
								OnSelectedIndexChanged="FieldDelimiterDropDownList_SelectedIndexChanged"></asp:DropDownList>&nbsp;<asp:TextBox ID="FieldDelimiterTextBox" runat="server" Visible="False"
								MaxLength="1" Columns="1"></asp:TextBox></td>
					</tr>
					<tr>
						<td class="labelStyle" nowrap>
							
								<asp:Literal ID="TextDelimiterLabel" runat="server" EnableViewState="False">Text delimiter 
            :</asp:Literal>
						</td>
						<td>
							<asp:TextBox ID="TextDelimiterTextBox" runat="server" MaxLength="1" Columns="1">&quot;</asp:TextBox></td>
					</tr>
					<tr>
						<td class="labelStyle" nowrap><asp:Literal ID="ReplaceCarriageLabel" runat="server" EnableViewState="False">Carriage return 
            :</asp:Literal>
						</td>
						<td>
							<asp:DropDownList ID="CarriageReturnDropDownList" runat="server" AutoPostBack="True"
								OnSelectedIndexChanged="CarriageReturnDropDownList_SelectedIndexChanged">
							</asp:DropDownList>&nbsp;
							<asp:TextBox ID="CRCharTextbox" runat="server" Visible="False" MaxLength="255" Columns="1"></asp:TextBox></td>
					</tr>

				</asp:PlaceHolder>
				</table>
</td>
	</tr>
</table>