<%@ Control Language="c#" Codebehind="QuestionChoicesWizard.ascx.cs" AutoEventWireup="True"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.QuestionChoicesWizard" %>
<%@ Register src="../RichTextBoxWrapper/RichTextBox.ascx" tagname="RichTextBox" tagprefix="uc1" %>
<%@ Register Assembly="DataIllusion.FeedbackServer.AjaxControlToolkit" Namespace="DataIllusion.FeedbackServer.AjaxControlToolkit" TagPrefix="ajaxToolkit" %>

<asp:UpdatePanel ID="PageUpdatePanel" runat="server"><ContentTemplate>
<asp:Label ID="MessageLabel" runat="server" Visible="False" ForeColor="Green"></asp:Label>
<table class="settingsTable">
    <tr>
        <td>
            &nbsp;&nbsp;
        </td>
        <td>
            <table>
                <tr>
                    <td valign="top" nowrap>
                            <uc1:RichTextBox ID="QuestionTextBox" runat="server" 
                                 Height="200">
                            </uc1:RichTextBox>
                            <br/>
                    </td>
                </tr>
            </table>
    </tr>
</table>

<table class="adminTitle">
        <tr>
            <td>&nbsp;</td>
            <td width="99%">
<asp:Literal ID="QuestionChoicesTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td></tr>
    </table>
<table class="settingsTable">
        <tr>
            <td>
                &nbsp;&nbsp;
            </td>
            <td>
                <asp:TextBox ID="QuestionChoiceTextBox" Columns="80" TextMode="MultiLine"  Rows="8" runat="server"></asp:TextBox>
            </td>
        </tr>
    </table>

<table class="adminTitle">
        <tr>
            <td>&nbsp;</td>
            <td width="99%">
<asp:Literal ID="ChoiceSettingsTitle" runat="server" Text="" EnableViewState="False"></asp:Literal></td></tr>
</table>
    <br />
<table class="settingsTable">
        <tr>
            <td>
                &nbsp;&nbsp;
            </td>
            <td>
                <table width="100%">
                <tr>
                    <td nowrap class="labelStyle"><asp:Label ID="DisplayModeLabel"  Text="Display node :" runat="server"></asp:Label>
                    </td>
                    <td width="99%"><asp:RadioButtonList CssClass="mediumText" id="DisplayModeRadioButtonList" RepeatDirection="Horizontal" runat="server"></asp:RadioButtonList></td>
                    </tr>
                    <tr>
                    <td nowrap class="labelStyle"><asp:Label ID="AnswerDisplayTypeLabel" Text="Answer display type :" runat="server"></asp:Label>
                    </td><td><asp:RadioButtonList CssClass="mediumText" id="AnswerDisplayTypeRadioList" RepeatDirection="Horizontal" runat="server"></asp:RadioButtonList>
                    </td></tr>

                <tr>
                    <td nowrap class="labelStyle"><asp:Label ID="EnableOtherLabel"  Text="Enable other field based choice :" runat="server"></asp:Label>
                    </td>
                    <td width="99%"><asp:CheckBox ID="EnableOtherCheckBox" OnCheckedChanged="OnOtherFieldClick" AutoPostBack="true" runat="server" /></td>
                    </tr>
                    <tr>
                    <td nowrap class="labelStyle"><asp:Label ID="OtherFieldChoiceLabel"  Text="Other field choice label :" runat="server"></asp:Label>
                    </td><td><asp:TextBox id="OtherFieldLabelTextBox" runat="server"></asp:TextBox>
                    </td></tr>
                <tr>
                    <td nowrap class="labelStyle"><asp:Label ID="AnswerSelectionRequiredLabel"  Text="" runat="server"></asp:Label>
                    </td>
                    <td width="99%"><asp:CheckBox ID="SelectionRequiredCheckBox" runat="server" /></td>
                    </tr>

                <tr>
                    <td nowrap class="labelStyle"><asp:Label ID="MandatoryAnswerMustBeLabel"  Text="" runat="server"></asp:Label>
                    </td>
                    <td width="99%"><asp:DropDownList ID="MandatoryChoiceDropDown" runat="server" /><asp:TextBox id="MandatoryCountTextBox" Columns="4" runat="server"></asp:TextBox>
                    <asp:RequiredFieldValidator Display="Dynamic" ID="MandatoryValidator" ValidationGroup="MultiCheckBoxValidation" runat="server" ControlToValidate="MandatoryCountTextBox"></asp:RequiredFieldValidator>
                    <asp:RangeValidator Display="Dynamic" ID="MandatoryRangeValidator" ControlToValidate="MandatoryCountTextBox" ValidationGroup="MultiCheckBoxValidation" MinimumValue="0" MaximumValue="32768" Type="Integer" runat="server"></asp:RangeValidator>
                    </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>

<br />
            <table>
				<tr>
        <td>
            &nbsp;&nbsp;
        </td>
					<td nowrap>

<asp:Button ID="AddQuestionButton" runat="server" Text="Add new question" OnClick="AddQuestionButton_Click">
</asp:Button>
</td></tr></table>
</ContentTemplate></asp:UpdatePanel>


			<ajaxToolkit:UpdatePanelAnimationExtender ID="UpdatePanelAnimationExtender1" runat="server" 
           TargetControlID="PageUpdatePanel">
                <Animations>
                    <OnUpdating>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateStartProcess();" />  
                         </Parallel>
                    </OnUpdating>
                    <OnUpdated>
                        <Parallel duration="0">
                            <ScriptAction Script="indicateEndProcess();" /> 
                        </Parallel> 
                    </OnUpdated>
                </Animations>
            </ajaxToolkit:UpdatePanelAnimationExtender> 
<br />
<br />
