<%@ Control Language="c#" AutoEventWireup="True" Codebehind="UsersOptionsControl.ascx.cs"
	Inherits="DataIllusion.FeedbackServer.WebAdmin.UserControls.UsersOptionsControl"
	TargetSchema="http://schemas.microsoft.com/intellisense/ie5" %>

<asp:PlaceHolder ID="AdminSettingsPlaceHolder" runat="server">
<script type="text/javascript">

    var surveyTreeLoader;
    var panelTreeLoader;
    var bootOpen;
	
		//load surveyTree on page
		function loadFolders()
		{
	 		<asp:placeholder id="folderScriptPlaceHolder" runat="server">
                surveyTreeLoader = new YAHOO.widget.TreeViewLoader("foldersurveyTreebox", 
					DataIllusion.FeedbackServer.Data.TreeTypes.Folders, 
					onPostHandler, 
					false, 
					null, 
					null, 
					null,
					null, 
					true, 
					'userid=<%=UserId%>', 
					'fsadmin', 
					false);
			</asp:placeholder>
			
			<asp:placeholder id="PanelScriptPlaceHolder" runat="server">
				panelTreeLoader = new YAHOO.widget.TreeViewLoader("panelTreeBox", 
					DataIllusion.FeedbackServer.Data.TreeTypes.Panels, null, false, null, null, null, null, true, 
						'userid=<%=UserId%>', 'fsadmin', false);
			</asp:placeholder>

		}

	    function onPostHandler()
        {
            if (!bootOpen)
            {
                var rootNode = surveyTreeLoader.tree.getNodeByIndex(surveyTreeLoader.tree.getNodeByIdentifier(surveyTreeLoader.tree.getRoot(), 'folder_0'));
                if (rootNode && !rootNode.expanded)
                {
                    bootOpen = true;
                    rootNode.expand();
                }
            }
        }
</script>

<table class="adminTitle">
	<tr>
		<td>
			<a href="help/FeedbackServer.htm#Users/User_manager.htm" target="feedbackserverhelp">
				<img src="images/helpicon.gif" border="0"></a></td>
		<td width="99%">
			<asp:Literal ID="UserOptionTitleLabel" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
	</tr>
</table>
</asp:PlaceHolder>

<table class="uiTable" width="600" border="0">
	<asp:Label ID="MessageLabel" Visible="False" ForeColor="Green" runat="server"></asp:Label></table>
<table class="settingsTable" >
	<tr>
		<td>
			&nbsp;&nbsp;
		</td>
		<td width="99%">
			<table>
				<tbody>
					<asp:PlaceHolder ID="FSUserPlaceHolder" runat="server">
                        <tr id="UserNameRow" runat="server">
                            <td nowrap class="labelStyle">
                                <asp:Literal ID="UserNameLabel" runat="server" Text="User name:" EnableViewState="False"></asp:Literal>
                            </td>
                            <td width="99%">
                                <asp:TextBox ID="UserNameTextBox" runat="server" Width="300" MaxLength="255"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td nowrap class="labelStyle">
                                <asp:Literal ID="UserPasswordLabel" runat="server" Text="Password :" EnableViewState="False"></asp:Literal>
                            </td>
                            <td>
                                <asp:TextBox ID="PasswordTextBox" runat="server" TextMode="Password" Width="300"
                                    MaxLength="255"></asp:TextBox>
                            </td>
                        </tr>
                        <tr id="ConfirmPasswordRow" runat="server">
                            <td nowrap class="labelStyle">
                                <asp:Literal ID="UserPasswordConfirmLabel" runat="server" Text="Confirm password :"
                                    EnableViewState="False"></asp:Literal>
                            </td>
                            <td>
                                <asp:TextBox ID="UserPasswordConfirmTextBox" runat="server" TextMode="Password" Width="300"
                                    MaxLength="255"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td nowrap class="labelStyle">
                                <asp:Literal ID="UserFirstNameLabel" runat="server" Text="First name :" EnableViewState="False"></asp:Literal>
                            </td>
                            <td>
                                <asp:TextBox ID="FirstNameTextBox" runat="server" Width="300" MaxLength="255"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td nowrap class="labelStyle">
                                <asp:Literal ID="UserLastNameLabel" runat="server" Text="Last name :" EnableViewState="False"></asp:Literal>
                            </td>
                            <td>
                                <asp:TextBox ID="LastNameTextBox" runat="server" Width="300" MaxLength="255"></asp:TextBox>
                            </td>
                        </tr>
                        <tr>
                            <td nowrap class="labelStyle">
                                <asp:Literal ID="UserEmailLabel" runat="server" Text="Email :" EnableViewState="False"></asp:Literal>
                            </td>
                            <td>
                                <asp:TextBox ID="EmailTextBox" runat="server" Width="300" MaxLength="255"></asp:TextBox>
                            </td>
                        </tr>
					</asp:PlaceHolder>
					<tr>
						<td nowrap class="labelStyle">
								<asp:Literal ID="UserMCAPIKeyLabel" runat="server" Text="" EnableViewState="False"></asp:Literal></td>
						<td>
							<asp:TextBox ID="MCAPIKeyTextBox" runat="server" Width="300" MaxLength="255"></asp:TextBox></td>
					</tr>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="UserIsAdministratorLabel" runat="server" Text="Administrator :"
									EnableViewState="False"></asp:Literal></td>
						<td>
							<asp:CheckBox ID="IsAdminCheckBox" runat="server" AutoPostBack="True" OnCheckedChanged="IsAdminCheckBox_CheckedChanged">
							</asp:CheckBox></td>
					</tr>
					<tr>
						<td nowrap class="labelStyle">
							
								<asp:Literal ID="AssignAllSurveysLabel" runat="server" Text="Assign all survey :"
									EnableViewState="False"></asp:Literal></td>
						<td>
							<asp:CheckBox ID="HasSurveyAccessCheckBox" runat="server" AutoPostBack="True" OnCheckedChanged="HasSurveyAccessCheckBox_CheckedChanged">
							</asp:CheckBox></td>
					</tr>
					<asp:PlaceHolder ID="ExtendedSettingsPlaceHolder" runat="server">
						<tr>
							<td valign="top" nowrap class="labelStyle">
								
									<asp:Literal ID="RolesLabel" runat="server" EnableViewState="False" Text="Roles :"></asp:Literal></td>
							<td>
								<table class="smallText">
									<tr>
										<td>
											<asp:Literal ID="AvailableRolesLabel" runat="server" EnableViewState="False" Text="Available roles"></asp:Literal></td>
										<td style="width: 23px">
										</td>
										<td>
											<asp:Literal ID="UserRolesLabel" runat="server" EnableViewState="False" Text="User's roles"></asp:Literal></td>
									</tr>
									<tr>
										<td>
											<asp:ListBox ID="RolesListBox" runat="server" AutoPostBack="True" Height="120px"
												OnSelectedIndexChanged="RolesListBox_SelectedIndexChanged"></asp:ListBox></td>
										<td style="width: 23px">
											&nbsp;&gt;&gt;<br>
												&lt;&lt;&nbsp;</td>
										<td valign="top">
											<asp:ListBox ID="UserRolesListBox" runat="server" AutoPostBack="True" Height="120px"
												OnSelectedIndexChanged="UserRolesListBox_SelectedIndexChanged"></asp:ListBox></td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
						<td colspan="2">
							<table>
							<tr>
								<asp:PlaceHolder ID="folderPlaceHolder" runat="server">
								<td>
											<asp:Label ID="AssignSurveysFoldersLabel" CssClass="labelStyle" runat="server" EnableViewState="False"
												Text="Assign surveys / folders :"></asp:Label>
								
										<div id="foldersurveyTreebox" style="border-right: silver 1px solid; border-top: silver 1px solid;height:200px;
											overflow: auto; border-left: silver 1px solid; width: 320px; border-bottom: silver 1px solid;
											background-color: #f8f8f8">
										</div>
										<input id="CheckedFolderSurveys" type="hidden" name="CheckedFolderSurveys" runat="server">
										<input id="UnCheckedFolderSurveys" type="hidden" name="UnCheckedFolderSurveys" runat="server"></td>
								</td>
								</asp:PlaceHolder>
								<asp:PlaceHolder ID="PanelPlaceHolder" runat="server">
								<td>
											<asp:Label CssClass="labelStyle" ID="AssignedPanelsLabel" runat="server" EnableViewState="False"
												Text="Assign Panel / Views :"></asp:Label><br />
												
										<div id="panelTreeBox" style="border-right: silver 1px solid; border-top: silver 1px solid;height:200px;
											overflow: auto; border-left: silver 1px solid; width: 320px; border-bottom: silver 1px solid;
											background-color: #f8f8f8">
										</div>
										<input id="CheckedPanelViews" type="hidden" name="CheckedPanelViews" runat="server"></td>
								</td>
								</asp:PlaceHolder>
							</tr>
							</table>
						</td>
						</tr>						
					</asp:PlaceHolder>
			</table>
			<br>
<asp:Button ID="CreateNewUserButton" runat="server" Text="Create user" OnClick="CreateUserButton_Click">
</asp:Button><asp:Button ID="ApplyChangesButton" runat="server" Text="Apply changes"
	OnClick="ApplyChangesButton_Click"></asp:Button><asp:Button ID="DeleteUserButton"
		Visible="False" runat="server" Text="Delete user" OnClick="DeleteUserButton_Click">
	</asp:Button></TD></TR></TABLE>

<asp:PlaceHolder ID="LoadFolderPlaceHolder" runat="server">
<script type="text/javascript">
	<%if (UserId != null)Response.Write("loadFolders();");%>
</script>
</asp:PlaceHolder>

<br />